/*
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!! This file has been autogenerated, modify atomicgen.py !!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*/
// Implements basic nuclear data functions.
#ifndef PYNE_IS_AMALGAMATED
#include "atomic_data.h"
#include "nucname.h"
#endif

void pyne::_load_atomic_mass_map_memory() {
  // header version of atomic weight table data
  //see if the data table is already loaded
  if(!atomic_mass_map.empty()) {
    return;
  } else {
    _insert_atomic_mass_map();
  }
  //see if the data table is already loaded
  if(!natural_abund_map.empty()) {
    return;
  } else {
    _insert_abund_map();
  }
  // calculate the atomic_masses of the elements
  std::map<int,double> :: iterator it;

  for (int z = 1; z <= 92 ; z++) {
  // loop through the natural abundance map
  double element_atomic_weight = 0.0;
  for (it = natural_abund_map.begin(); it != natural_abund_map.end() ; ++it){
   // if the atomic number of the abudance matches the
   // that of index
   if(pyne::nucname::znum(it->first) == z) {
      // take atomic abundance and multiply by mass
      // to get the mass of that nuclide / 100 since abundance is in %
      element_atomic_weight += (it->second*atomic_mass_map[it->first]/100.0);
    }
  }
  // insert the abundance of the element into the list
  atomic_mass_map[z*10000000] = element_atomic_weight;
 }
}


void pyne::_insert_atomic_mass_map() { 
  atomic_mass_map[10010000] = 1.00782503224;
  atomic_mass_map[10020000] = 2.01410177811;
  atomic_mass_map[10030000] = 3.01604928199;
  atomic_mass_map[20030000] = 3.01602932265;
  atomic_mass_map[30030000] = 3.030775;
  atomic_mass_map[10040000] = 4.026431868;
  atomic_mass_map[20040000] = 4.00260325413;
  atomic_mass_map[30040000] = 4.027185562;
  atomic_mass_map[10050000] = 5.035311493;
  atomic_mass_map[20050000] = 5.012057224;
  atomic_mass_map[30050000] = 5.0125378;
  atomic_mass_map[40050000] = 5.03987;
  atomic_mass_map[10060000] = 6.044955437;
  atomic_mass_map[20060000] = 6.018885891;
  atomic_mass_map[30060000] = 6.01512288742;
  atomic_mass_map[40060000] = 6.0197264090000004;
  atomic_mass_map[50060000] = 6.0508;
  atomic_mass_map[10070000] = 7.052749;
  atomic_mass_map[20070000] = 7.027990654;
  atomic_mass_map[30070000] = 7.01600343666;
  atomic_mass_map[40070000] = 7.016928717;
  atomic_mass_map[50070000] = 7.029712;
  atomic_mass_map[20080000] = 8.03393439;
  atomic_mass_map[30080000] = 8.022486246;
  atomic_mass_map[40080000] = 8.005305102;
  atomic_mass_map[50080000] = 8.024607316;
  atomic_mass_map[60080000] = 8.037643042;
  atomic_mass_map[20090000] = 9.043946419;
  atomic_mass_map[30090000] = 9.026790191;
  atomic_mass_map[40090000] = 9.012183066;
  atomic_mass_map[50090000] = 9.013329649;
  atomic_mass_map[60090000] = 9.031037207;
  atomic_mass_map[20100000] = 10.052815308;
  atomic_mass_map[30100000] = 10.035483453;
  atomic_mass_map[40100000] = 10.013534695;
  atomic_mass_map[50100000] = 10.012936862;
  atomic_mass_map[60100000] = 10.016853218;
  atomic_mass_map[70100000] = 10.041653543;
  atomic_mass_map[30110000] = 11.043723581;
  atomic_mass_map[40110000] = 11.021661081;
  atomic_mass_map[50110000] = 11.009305166;
  atomic_mass_map[60110000] = 11.011432597;
  atomic_mass_map[70110000] = 11.026090945;
  atomic_mass_map[30120000] = 12.052613941;
  atomic_mass_map[40120000] = 12.026922083;
  atomic_mass_map[50120000] = 12.014352638;
  atomic_mass_map[60120000] = 12.0;
  atomic_mass_map[70120000] = 12.018613182;
  atomic_mass_map[80120000] = 12.034261747;
  atomic_mass_map[30130000] = 13.061171503;
  atomic_mass_map[40130000] = 13.036134507;
  atomic_mass_map[50130000] = 13.017779981;
  atomic_mass_map[60130000] = 13.00335483521;
  atomic_mass_map[70130000] = 13.005738609;
  atomic_mass_map[80130000] = 13.024815437;
  atomic_mass_map[40140000] = 14.04289292;
  atomic_mass_map[50140000] = 14.025404012;
  atomic_mass_map[60140000] = 14.00324198843;
  atomic_mass_map[70140000] = 14.00307400446;
  atomic_mass_map[80140000] = 14.008596706;
  atomic_mass_map[90140000] = 14.034315199;
  atomic_mass_map[40150000] = 15.053490215;
  atomic_mass_map[50150000] = 15.031087953;
  atomic_mass_map[60150000] = 15.010599256;
  atomic_mass_map[70150000] = 15.00010889894;
  atomic_mass_map[80150000] = 15.003065618;
  atomic_mass_map[90150000] = 15.017785139;
  atomic_mass_map[100150000] = 15.04317298;
  atomic_mass_map[40160000] = 16.061672036;
  atomic_mass_map[50160000] = 16.03984192;
  atomic_mass_map[60160000] = 16.014701256;
  atomic_mass_map[70160000] = 16.006101925;
  atomic_mass_map[80160000] = 15.9949146196;
  atomic_mass_map[90160000] = 16.011465723;
  atomic_mass_map[100160000] = 16.025750864;
  atomic_mass_map[50170000] = 17.046931399;
  atomic_mass_map[60170000] = 17.022578672;
  atomic_mass_map[70170000] = 17.008448877;
  atomic_mass_map[80170000] = 16.99913175664;
  atomic_mass_map[90170000] = 17.002095238;
  atomic_mass_map[100170000] = 17.017713959;
  atomic_mass_map[110170000] = 17.03776;
  atomic_mass_map[50180000] = 18.055601682;
  atomic_mass_map[60180000] = 18.026751932;
  atomic_mass_map[70180000] = 18.014077565;
  atomic_mass_map[80180000] = 17.99915961284;
  atomic_mass_map[90180000] = 18.000937325;
  atomic_mass_map[100180000] = 18.005708693;
  atomic_mass_map[110180000] = 18.026879386;
  atomic_mass_map[50190000] = 19.064166;
  atomic_mass_map[60190000] = 19.034797596;
  atomic_mass_map[70190000] = 19.017022419;
  atomic_mass_map[80190000] = 19.00357797;
  atomic_mass_map[90190000] = 18.99840316288;
  atomic_mass_map[100190000] = 19.001880903;
  atomic_mass_map[110190000] = 19.013880272;
  atomic_mass_map[120190000] = 19.034169182;
  atomic_mass_map[50200000] = 20.073484;
  atomic_mass_map[60200000] = 20.040261732;
  atomic_mass_map[70200000] = 20.023367295;
  atomic_mass_map[80200000] = 20.004075358;
  atomic_mass_map[90200000] = 19.999981252;
  atomic_mass_map[100200000] = 19.99244017619;
  atomic_mass_map[110200000] = 20.007354426;
  atomic_mass_map[120200000] = 20.018763075;
  atomic_mass_map[50210000] = 21.083017;
  atomic_mass_map[60210000] = 21.049;
  atomic_mass_map[70210000] = 21.027087573;
  atomic_mass_map[80210000] = 21.00865495;
  atomic_mass_map[90210000] = 20.999948894;
  atomic_mass_map[100210000] = 20.993846685;
  atomic_mass_map[110210000] = 20.997654702;
  atomic_mass_map[120210000] = 21.011705764;
  atomic_mass_map[130210000] = 21.028975;
  atomic_mass_map[60220000] = 22.05755399;
  atomic_mass_map[70220000] = 22.034100918;
  atomic_mass_map[80220000] = 22.009965746;
  atomic_mass_map[90220000] = 22.002998809;
  atomic_mass_map[100220000] = 21.991385109;
  atomic_mass_map[110220000] = 21.994437418;
  atomic_mass_map[120220000] = 21.999570654;
  atomic_mass_map[130220000] = 22.01954;
  atomic_mass_map[140220000] = 22.03579;
  atomic_mass_map[60230000] = 23.06889;
  atomic_mass_map[70230000] = 23.039421;
  atomic_mass_map[80230000] = 23.015696686;
  atomic_mass_map[90230000] = 23.003526874;
  atomic_mass_map[100230000] = 22.9944669;
  atomic_mass_map[110230000] = 22.98976928199;
  atomic_mass_map[120230000] = 22.994123941;
  atomic_mass_map[130230000] = 23.007244351;
  atomic_mass_map[140230000] = 23.02544;
  atomic_mass_map[70240000] = 24.05039;
  atomic_mass_map[80240000] = 24.019861;
  atomic_mass_map[90240000] = 24.00809937;
  atomic_mass_map[100240000] = 23.993610645;
  atomic_mass_map[110240000] = 23.990963011;
  atomic_mass_map[120240000] = 23.985041697;
  atomic_mass_map[130240000] = 23.999947541;
  atomic_mass_map[140240000] = 24.011535441;
  atomic_mass_map[150240000] = 24.03577;
  atomic_mass_map[70250000] = 25.0601;
  atomic_mass_map[80250000] = 25.029338919;
  atomic_mass_map[90250000] = 25.012167727;
  atomic_mass_map[100250000] = 24.997814799;
  atomic_mass_map[110250000] = 24.989953973;
  atomic_mass_map[120250000] = 24.985836964;
  atomic_mass_map[130250000] = 24.990428306;
  atomic_mass_map[140250000] = 25.004108801;
  atomic_mass_map[150250000] = 25.02119;
  atomic_mass_map[80260000] = 26.037210155;
  atomic_mass_map[90260000] = 26.020020392;
  atomic_mass_map[100260000] = 26.000516496;
  atomic_mass_map[110260000] = 25.992634649;
  atomic_mass_map[120260000] = 25.982592971;
  atomic_mass_map[130260000] = 25.986891863;
  atomic_mass_map[140260000] = 25.992333804;
  atomic_mass_map[150260000] = 26.01178;
  atomic_mass_map[160260000] = 26.02907;
  atomic_mass_map[80270000] = 27.047955;
  atomic_mass_map[90270000] = 27.027322;
  atomic_mass_map[100270000] = 27.007569462;
  atomic_mass_map[110270000] = 26.994076408;
  atomic_mass_map[120270000] = 26.984340627999998;
  atomic_mass_map[130270000] = 26.981538408;
  atomic_mass_map[140270000] = 26.986704688;
  atomic_mass_map[150270000] = 26.999224409;
  atomic_mass_map[160270000] = 27.01828;
  atomic_mass_map[80280000] = 28.05591;
  atomic_mass_map[90280000] = 28.036223095;
  atomic_mass_map[100280000] = 28.012130767;
  atomic_mass_map[110280000] = 27.998939;
  atomic_mass_map[120280000] = 27.983876606;
  atomic_mass_map[130280000] = 27.981910087;
  atomic_mass_map[140280000] = 27.97692653499;
  atomic_mass_map[150280000] = 27.992326585;
  atomic_mass_map[160280000] = 28.004372766;
  atomic_mass_map[170280000] = 28.02954;
  atomic_mass_map[90290000] = 29.043103;
  atomic_mass_map[100290000] = 29.019753;
  atomic_mass_map[110290000] = 29.002877092;
  atomic_mass_map[120290000] = 28.988617393;
  atomic_mass_map[130290000] = 28.980453164;
  atomic_mass_map[140290000] = 28.97649466525;
  atomic_mass_map[150290000] = 28.981800368;
  atomic_mass_map[160290000] = 28.996611448;
  atomic_mass_map[170290000] = 29.014130178;
  atomic_mass_map[90300000] = 30.05165;
  atomic_mass_map[100300000] = 30.024992235;
  atomic_mass_map[110300000] = 30.009097932;
  atomic_mass_map[120300000] = 29.990462825999998;
  atomic_mass_map[130300000] = 29.982968388;
  atomic_mass_map[140300000] = 29.973770136;
  atomic_mass_map[150300000] = 29.978313489;
  atomic_mass_map[160300000] = 29.984906769;
  atomic_mass_map[170300000] = 30.00477;
  atomic_mass_map[180300000] = 30.022470511;
  atomic_mass_map[90310000] = 31.060272;
  atomic_mass_map[100310000] = 31.033474816;
  atomic_mass_map[110310000] = 31.013146656;
  atomic_mass_map[120310000] = 30.996648232;
  atomic_mass_map[130310000] = 30.983949756;
  atomic_mass_map[140310000] = 30.975363194;
  atomic_mass_map[150310000] = 30.97376199863;
  atomic_mass_map[160310000] = 30.979557007;
  atomic_mass_map[170310000] = 30.992448098;
  atomic_mass_map[180310000] = 31.012158;
  atomic_mass_map[100320000] = 32.03972;
  atomic_mass_map[110320000] = 32.020011026;
  atomic_mass_map[120320000] = 31.999110139;
  atomic_mass_map[130320000] = 31.988084339;
  atomic_mass_map[140320000] = 31.974151539;
  atomic_mass_map[150320000] = 31.973907643;
  atomic_mass_map[160320000] = 31.97207117443;
  atomic_mass_map[170320000] = 31.985684637;
  atomic_mass_map[180320000] = 31.997637826;
  atomic_mass_map[190320000] = 32.02265;
  atomic_mass_map[100330000] = 33.04938;
  atomic_mass_map[110330000] = 33.025529;
  atomic_mass_map[120330000] = 33.005327245;
  atomic_mass_map[130330000] = 32.990877687;
  atomic_mass_map[140330000] = 32.977976964;
  atomic_mass_map[150330000] = 32.971725694;
  atomic_mass_map[160330000] = 32.97145890985;
  atomic_mass_map[170330000] = 32.977451989;
  atomic_mass_map[180330000] = 32.989925547;
  atomic_mass_map[190330000] = 33.00756;
  atomic_mass_map[100340000] = 34.056728;
  atomic_mass_map[110340000] = 34.03401;
  atomic_mass_map[120340000] = 34.008935481;
  atomic_mass_map[130340000] = 33.996779057;
  atomic_mass_map[140340000] = 33.978575437;
  atomic_mass_map[150340000] = 33.973645887;
  atomic_mass_map[160340000] = 33.967867012;
  atomic_mass_map[170340000] = 33.973762491;
  atomic_mass_map[180340000] = 33.980270093;
  atomic_mass_map[190340000] = 33.99869;
  atomic_mass_map[200340000] = 34.01487;
  atomic_mass_map[110350000] = 35.041043;
  atomic_mass_map[120350000] = 35.01679;
  atomic_mass_map[130350000] = 34.999759817;
  atomic_mass_map[140350000] = 34.984550134;
  atomic_mass_map[150350000] = 34.973314053;
  atomic_mass_map[160350000] = 34.969032322;
  atomic_mass_map[170350000] = 34.968852694;
  atomic_mass_map[180350000] = 34.975257721;
  atomic_mass_map[190350000] = 34.988005407;
  atomic_mass_map[200350000] = 35.00514;
  atomic_mass_map[110360000] = 36.049708;
  atomic_mass_map[120360000] = 36.021879;
  atomic_mass_map[130360000] = 36.006388;
  atomic_mass_map[140360000] = 35.986649271;
  atomic_mass_map[150360000] = 35.978259619;
  atomic_mass_map[160360000] = 35.967080699;
  atomic_mass_map[170360000] = 35.968306822;
  atomic_mass_map[180360000] = 35.967545105;
  atomic_mass_map[190360000] = 35.98130201;
  atomic_mass_map[200360000] = 35.993074406;
  atomic_mass_map[210360000] = 36.01648;
  atomic_mass_map[110370000] = 37.057471;
  atomic_mass_map[120370000] = 37.030286265;
  atomic_mass_map[130370000] = 37.010531;
  atomic_mass_map[140370000] = 36.992945191;
  atomic_mass_map[150370000] = 36.979606956;
  atomic_mass_map[160370000] = 36.971125506999996;
  atomic_mass_map[170370000] = 36.965902584;
  atomic_mass_map[180370000] = 36.966776314;
  atomic_mass_map[190370000] = 36.973375889;
  atomic_mass_map[200370000] = 36.985897852;
  atomic_mass_map[210370000] = 37.003779;
  atomic_mass_map[120380000] = 38.03658;
  atomic_mass_map[130380000] = 38.017402;
  atomic_mass_map[140380000] = 37.995523;
  atomic_mass_map[150380000] = 37.984303105;
  atomic_mass_map[160380000] = 37.97116331;
  atomic_mass_map[170380000] = 37.968010418;
  atomic_mass_map[180380000] = 37.962732104;
  atomic_mass_map[190380000] = 37.969081116;
  atomic_mass_map[200380000] = 37.976319226;
  atomic_mass_map[210380000] = 37.995438;
  atomic_mass_map[220380000] = 38.011669;
  atomic_mass_map[120390000] = 39.045384;
  atomic_mass_map[130390000] = 39.022169;
  atomic_mass_map[140390000] = 39.002491;
  atomic_mass_map[150390000] = 38.986285865;
  atomic_mass_map[160390000] = 38.975133852;
  atomic_mass_map[170390000] = 38.968008162;
  atomic_mass_map[180390000] = 38.964313039;
  atomic_mass_map[190390000] = 38.96370648661;
  atomic_mass_map[200390000] = 38.970710813;
  atomic_mass_map[210390000] = 38.98478497;
  atomic_mass_map[220390000] = 39.002362;
  atomic_mass_map[120400000] = 40.051906;
  atomic_mass_map[130400000] = 40.029619;
  atomic_mass_map[140400000] = 40.005829;
  atomic_mass_map[150400000] = 39.991288865;
  atomic_mass_map[160400000] = 39.975482562;
  atomic_mass_map[170400000] = 39.970415469;
  atomic_mass_map[180400000] = 39.96238312378;
  atomic_mass_map[190400000] = 39.963998166;
  atomic_mass_map[200400000] = 39.962590865;
  atomic_mass_map[210400000] = 39.977967292;
  atomic_mass_map[220400000] = 39.990498721;
  atomic_mass_map[230400000] = 40.013065;
  atomic_mass_map[130410000] = 41.035878;
  atomic_mass_map[140410000] = 41.013011;
  atomic_mass_map[150410000] = 40.994654;
  atomic_mass_map[160410000] = 40.979593451;
  atomic_mass_map[170410000] = 40.970684525;
  atomic_mass_map[180410000] = 40.964500571;
  atomic_mass_map[190410000] = 40.96182525796;
  atomic_mass_map[200410000] = 40.962277921;
  atomic_mass_map[210410000] = 40.969251104;
  atomic_mass_map[220410000] = 40.983148;
  atomic_mass_map[230410000] = 41.000344;
  atomic_mass_map[130420000] = 42.043049;
  atomic_mass_map[140420000] = 42.017681;
  atomic_mass_map[150420000] = 42.001084;
  atomic_mass_map[160420000] = 41.9810651;
  atomic_mass_map[170420000] = 41.973342;
  atomic_mass_map[180420000] = 41.963045736;
  atomic_mass_map[190420000] = 41.962402306;
  atomic_mass_map[200420000] = 41.958617828;
  atomic_mass_map[210420000] = 41.965516522;
  atomic_mass_map[220420000] = 41.973049022;
  atomic_mass_map[230420000] = 41.99182;
  atomic_mass_map[240420000] = 42.007225;
  atomic_mass_map[130430000] = 43.050478;
  atomic_mass_map[140430000] = 43.0248;
  atomic_mass_map[150430000] = 43.005024;
  atomic_mass_map[160430000] = 42.986907635;
  atomic_mass_map[170430000] = 42.9740637;
  atomic_mass_map[180430000] = 42.965636055;
  atomic_mass_map[190430000] = 42.960734703;
  atomic_mass_map[200430000] = 42.95876643;
  atomic_mass_map[210430000] = 42.961150472;
  atomic_mass_map[220430000] = 42.968522521;
  atomic_mass_map[230430000] = 42.980766;
  atomic_mass_map[240430000] = 42.997885;
  atomic_mass_map[140440000] = 44.03061;
  atomic_mass_map[150440000] = 44.011219;
  atomic_mass_map[160440000] = 43.990118848;
  atomic_mass_map[170440000] = 43.978116312;
  atomic_mass_map[180440000] = 43.964923816;
  atomic_mass_map[190440000] = 43.961586986;
  atomic_mass_map[200440000] = 43.955481543;
  atomic_mass_map[210440000] = 43.959402867;
  atomic_mass_map[220440000] = 43.959689951;
  atomic_mass_map[230440000] = 43.97411;
  atomic_mass_map[240440000] = 43.985657;
  atomic_mass_map[250440000] = 44.007547;
  atomic_mass_map[140450000] = 45.040247;
  atomic_mass_map[150450000] = 45.016747;
  atomic_mass_map[160450000] = 44.995717;
  atomic_mass_map[170450000] = 44.980394353;
  atomic_mass_map[180450000] = 44.968039733;
  atomic_mass_map[190450000] = 44.960691493;
  atomic_mass_map[200450000] = 44.956186326;
  atomic_mass_map[210450000] = 44.955907503;
  atomic_mass_map[220450000] = 44.958121211;
  atomic_mass_map[230450000] = 44.965768951;
  atomic_mass_map[240450000] = 44.97905;
  atomic_mass_map[250450000] = 44.994364;
  atomic_mass_map[260450000] = 45.014774;
  atomic_mass_map[150460000] = 46.024659;
  atomic_mass_map[160460000] = 46.000365;
  atomic_mass_map[170460000] = 45.985121323;
  atomic_mass_map[180460000] = 45.968037446;
  atomic_mass_map[190460000] = 45.961981586;
  atomic_mass_map[200460000] = 45.953687988;
  atomic_mass_map[210460000] = 45.955167485;
  atomic_mass_map[220460000] = 45.952626856;
  atomic_mass_map[230460000] = 45.960197971;
  atomic_mass_map[240460000] = 45.96836097;
  atomic_mass_map[250460000] = 45.986506;
  atomic_mass_map[260460000] = 46.000977;
  atomic_mass_map[150470000] = 47.031895;
  atomic_mass_map[160470000] = 47.007912;
  atomic_mass_map[170470000] = 46.989501;
  atomic_mass_map[180470000] = 46.972768114;
  atomic_mass_map[190470000] = 46.961661614;
  atomic_mass_map[200470000] = 46.954541394;
  atomic_mass_map[210470000] = 46.952402704;
  atomic_mass_map[220470000] = 46.951757752;
  atomic_mass_map[230470000] = 46.954904038;
  atomic_mass_map[240470000] = 46.962895544;
  atomic_mass_map[250470000] = 46.975774;
  atomic_mass_map[260470000] = 46.992625;
  atomic_mass_map[270470000] = 47.011133;
  atomic_mass_map[160480000] = 48.0137;
  atomic_mass_map[170480000] = 47.995405;
  atomic_mass_map[180480000] = 47.97608;
  atomic_mass_map[190480000] = 47.965341186;
  atomic_mass_map[200480000] = 47.952522904;
  atomic_mass_map[210480000] = 47.952223157;
  atomic_mass_map[220480000] = 47.947940932;
  atomic_mass_map[230480000] = 47.952251229;
  atomic_mass_map[240480000] = 47.954028667;
  atomic_mass_map[250480000] = 47.968549085;
  atomic_mass_map[260480000] = 47.980676;
  atomic_mass_map[270480000] = 48.00161;
  atomic_mass_map[280480000] = 48.018028;
  atomic_mass_map[160490000] = 49.022644;
  atomic_mass_map[170490000] = 49.001009;
  atomic_mass_map[180490000] = 48.981546;
  atomic_mass_map[190490000] = 48.968210755;
  atomic_mass_map[200490000] = 48.955662875;
  atomic_mass_map[210490000] = 48.950014423;
  atomic_mass_map[220490000] = 48.947864627;
  atomic_mass_map[230490000] = 48.948510746;
  atomic_mass_map[240490000] = 48.951332955;
  atomic_mass_map[250490000] = 48.959612585;
  atomic_mass_map[260490000] = 48.973429;
  atomic_mass_map[270490000] = 48.989393;
  atomic_mass_map[280490000] = 49.008803;
  atomic_mass_map[170500000] = 50.008309;
  atomic_mass_map[180500000] = 49.98569;
  atomic_mass_map[190500000] = 49.972380017;
  atomic_mass_map[200500000] = 49.957499217;
  atomic_mass_map[210500000] = 49.952176415;
  atomic_mass_map[220500000] = 49.944785839;
  atomic_mass_map[230500000] = 49.947155845;
  atomic_mass_map[240500000] = 49.946041443;
  atomic_mass_map[250500000] = 49.954237391;
  atomic_mass_map[260500000] = 49.962988;
  atomic_mass_map[270500000] = 49.981073;
  atomic_mass_map[280500000] = 49.995577;
  atomic_mass_map[170510000] = 51.015341;
  atomic_mass_map[180510000] = 50.992818;
  atomic_mass_map[190510000] = 50.975827867;
  atomic_mass_map[200510000] = 50.960995665;
  atomic_mass_map[210510000] = 50.953592095;
  atomic_mass_map[220510000] = 50.9466096;
  atomic_mass_map[230510000] = 50.943956867;
  atomic_mass_map[240510000] = 50.944764652;
  atomic_mass_map[250510000] = 50.948208065;
  atomic_mass_map[260510000] = 50.956840779;
  atomic_mass_map[270510000] = 50.970647;
  atomic_mass_map[280510000] = 50.987225;
  atomic_mass_map[180520000] = 51.998626;
  atomic_mass_map[190520000] = 51.981602;
  atomic_mass_map[200520000] = 51.963213648;
  atomic_mass_map[210520000] = 51.956582351;
  atomic_mass_map[220520000] = 51.94689196;
  atomic_mass_map[230520000] = 51.944772839;
  atomic_mass_map[240520000] = 51.940504992;
  atomic_mass_map[250520000] = 51.945563488;
  atomic_mass_map[260520000] = 51.948115217;
  atomic_mass_map[270520000] = 51.963112;
  atomic_mass_map[280520000] = 51.976028;
  atomic_mass_map[290520000] = 51.997552;
  atomic_mass_map[180530000] = 53.00729;
  atomic_mass_map[190530000] = 52.9868;
  atomic_mass_map[200530000] = 52.968451;
  atomic_mass_map[210530000] = 52.958231821;
  atomic_mass_map[220530000] = 52.949724785;
  atomic_mass_map[230530000] = 52.944335593;
  atomic_mass_map[240530000] = 52.940646961;
  atomic_mass_map[250530000] = 52.941287742;
  atomic_mass_map[260530000] = 52.945305574;
  atomic_mass_map[270530000] = 52.954203217;
  atomic_mass_map[280530000] = 52.96819;
  atomic_mass_map[290530000] = 52.985754;
  atomic_mass_map[190540000] = 53.99463;
  atomic_mass_map[200540000] = 53.972989;
  atomic_mass_map[210540000] = 53.96361662;
  atomic_mass_map[220540000] = 53.951022786;
  atomic_mass_map[230540000] = 53.946437472;
  atomic_mass_map[240540000] = 53.938878012;
  atomic_mass_map[250540000] = 53.940356429;
  atomic_mass_map[260540000] = 53.939608306;
  atomic_mass_map[270540000] = 53.948459192;
  atomic_mass_map[280540000] = 53.957833;
  atomic_mass_map[290540000] = 53.977015;
  atomic_mass_map[300540000] = 53.993267;
  atomic_mass_map[190550000] = 55.00076;
  atomic_mass_map[200550000] = 54.9803;
  atomic_mass_map[210550000] = 54.967622601;
  atomic_mass_map[220550000] = 54.955267465;
  atomic_mass_map[230550000] = 54.947241114;
  atomic_mass_map[240550000] = 54.940837289;
  atomic_mass_map[250550000] = 54.938043172;
  atomic_mass_map[260550000] = 54.938291283;
  atomic_mass_map[270550000] = 54.941996531;
  atomic_mass_map[280550000] = 54.951329961;
  atomic_mass_map[290550000] = 54.966038;
  atomic_mass_map[300550000] = 54.984358;
  atomic_mass_map[190560000] = 56.00851;
  atomic_mass_map[200560000] = 55.985079999999996;
  atomic_mass_map[210560000] = 55.97332;
  atomic_mass_map[220560000] = 55.95778819;
  atomic_mass_map[230560000] = 55.950450694;
  atomic_mass_map[240560000] = 55.940649107;
  atomic_mass_map[250560000] = 55.938902947;
  atomic_mass_map[260560000] = 55.934935617;
  atomic_mass_map[270560000] = 55.93983815;
  atomic_mass_map[280560000] = 55.942127872;
  atomic_mass_map[290560000] = 55.958515;
  atomic_mass_map[300560000] = 55.972743;
  atomic_mass_map[310560000] = 55.996361;
  atomic_mass_map[200570000] = 56.99262;
  atomic_mass_map[210570000] = 56.97746;
  atomic_mass_map[220570000] = 56.963590068;
  atomic_mass_map[230570000] = 56.952320197;
  atomic_mass_map[240570000] = 56.943612408999996;
  atomic_mass_map[250570000] = 56.938285968;
  atomic_mass_map[260570000] = 56.935392134;
  atomic_mass_map[270570000] = 56.936289913;
  atomic_mass_map[280570000] = 56.939791525;
  atomic_mass_map[290570000] = 56.949211819;
  atomic_mass_map[300570000] = 56.965056;
  atomic_mass_map[310570000] = 56.983886;
  atomic_mass_map[200580000] = 57.99794;
  atomic_mass_map[210580000] = 57.98403;
  atomic_mass_map[220580000] = 57.966602;
  atomic_mass_map[230580000] = 57.956626932;
  atomic_mass_map[240580000] = 57.944184502;
  atomic_mass_map[250580000] = 57.940066646;
  atomic_mass_map[260580000] = 57.933273738;
  atomic_mass_map[270580000] = 57.935751429;
  atomic_mass_map[280580000] = 57.93534178;
  atomic_mass_map[290580000] = 57.944532413;
  atomic_mass_map[300580000] = 57.954590428;
  atomic_mass_map[310580000] = 57.974728999999996;
  atomic_mass_map[320580000] = 57.992399;
  atomic_mass_map[210590000] = 58.98894;
  atomic_mass_map[220590000] = 58.972614;
  atomic_mass_map[230590000] = 58.959385659;
  atomic_mass_map[240590000] = 58.94837781;
  atomic_mass_map[250590000] = 58.940391113;
  atomic_mass_map[260590000] = 58.934873649;
  atomic_mass_map[270590000] = 58.933193656;
  atomic_mass_map[280590000] = 58.934345571;
  atomic_mass_map[290590000] = 58.939496844;
  atomic_mass_map[300590000] = 58.949312017;
  atomic_mass_map[310590000] = 58.963757;
  atomic_mass_map[320590000] = 58.982963;
  atomic_mass_map[210600000] = 59.99565;
  atomic_mass_map[220600000] = 59.976028;
  atomic_mass_map[230600000] = 59.96431329;
  atomic_mass_map[240600000] = 59.949898146;
  atomic_mass_map[250600000] = 59.943136576;
  atomic_mass_map[260600000] = 59.934070411;
  atomic_mass_map[270600000] = 59.933815667;
  atomic_mass_map[280600000] = 59.930785256;
  atomic_mass_map[290600000] = 59.937363916;
  atomic_mass_map[300600000] = 59.94184145;
  atomic_mass_map[310600000] = 59.957498;
  atomic_mass_map[320600000] = 59.970918;
  atomic_mass_map[330600000] = 59.994128;
  atomic_mass_map[210610000] = 61.001;
  atomic_mass_map[220610000] = 60.982448;
  atomic_mass_map[230610000] = 60.96725;
  atomic_mass_map[240610000] = 60.954400963;
  atomic_mass_map[250610000] = 60.944452544;
  atomic_mass_map[260610000] = 60.936746244;
  atomic_mass_map[270610000] = 60.932476145;
  atomic_mass_map[280610000] = 60.931054945;
  atomic_mass_map[290610000] = 60.933457371;
  atomic_mass_map[300610000] = 60.93950696;
  atomic_mass_map[310610000] = 60.949398859;
  atomic_mass_map[320610000] = 60.964187;
  atomic_mass_map[330610000] = 60.981857;
  atomic_mass_map[220620000] = 61.986581;
  atomic_mass_map[230620000] = 61.97265;
  atomic_mass_map[240620000] = 61.956097451;
  atomic_mass_map[250620000] = 61.947907386;
  atomic_mass_map[260620000] = 61.936791812;
  atomic_mass_map[270620000] = 61.934058317;
  atomic_mass_map[280620000] = 61.928344871;
  atomic_mass_map[290620000] = 61.932594921;
  atomic_mass_map[300620000] = 61.934333477;
  atomic_mass_map[310620000] = 61.944189757;
  atomic_mass_map[320620000] = 61.95519;
  atomic_mass_map[330620000] = 61.973891;
  atomic_mass_map[220630000] = 62.993827;
  atomic_mass_map[230630000] = 62.9765;
  atomic_mass_map[240630000] = 62.961344384;
  atomic_mass_map[250630000] = 62.949664675;
  atomic_mass_map[260630000] = 62.9402727;
  atomic_mass_map[270630000] = 62.933599744;
  atomic_mass_map[280630000] = 62.929669139;
  atomic_mass_map[290630000] = 62.929597236;
  atomic_mass_map[300630000] = 62.933211167;
  atomic_mass_map[310630000] = 62.939294195;
  atomic_mass_map[320630000] = 62.949628;
  atomic_mass_map[330630000] = 62.964036;
  atomic_mass_map[220640000] = 63.9989;
  atomic_mass_map[230640000] = 63.98248;
  atomic_mass_map[240640000] = 63.964058;
  atomic_mass_map[250640000] = 63.95384937;
  atomic_mass_map[260640000] = 63.940987763;
  atomic_mass_map[270640000] = 63.935810291;
  atomic_mass_map[280640000] = 63.927966341;
  atomic_mass_map[290640000] = 63.929763857;
  atomic_mass_map[300640000] = 63.929141772;
  atomic_mass_map[310640000] = 63.936840365;
  atomic_mass_map[320640000] = 63.941689913;
  atomic_mass_map[330640000] = 63.95756;
  atomic_mass_map[340640000] = 63.971336;
  atomic_mass_map[230650000] = 64.987354;
  atomic_mass_map[240650000] = 64.969705;
  atomic_mass_map[250650000] = 64.95601975;
  atomic_mass_map[260650000] = 64.945015324;
  atomic_mass_map[270650000] = 64.936462073;
  atomic_mass_map[280650000] = 64.930084697;
  atomic_mass_map[290650000] = 64.927789487;
  atomic_mass_map[300650000] = 64.929240532;
  atomic_mass_map[310650000] = 64.932734395;
  atomic_mass_map[320650000] = 64.939368137;
  atomic_mass_map[330650000] = 64.949611;
  atomic_mass_map[340650000] = 64.964552;
  atomic_mass_map[230660000] = 65.993977;
  atomic_mass_map[240660000] = 65.973462;
  atomic_mass_map[250660000] = 65.960546834;
  atomic_mass_map[260660000] = 65.94624996;
  atomic_mass_map[270660000] = 65.939442945;
  atomic_mass_map[280660000] = 65.929139334;
  atomic_mass_map[290660000] = 65.928868814;
  atomic_mass_map[300660000] = 65.926033704;
  atomic_mass_map[310660000] = 65.931589832;
  atomic_mass_map[320660000] = 65.933862126;
  atomic_mass_map[330660000] = 65.944148779;
  atomic_mass_map[340660000] = 65.955276;
  atomic_mass_map[230670000] = 66.999302;
  atomic_mass_map[240670000] = 66.979946;
  atomic_mass_map[250670000] = 66.964079;
  atomic_mass_map[260670000] = 66.951035482;
  atomic_mass_map[270670000] = 66.940609628;
  atomic_mass_map[280670000] = 66.931569414;
  atomic_mass_map[290670000] = 66.927729526;
  atomic_mass_map[300670000] = 66.927127482;
  atomic_mass_map[310670000] = 66.928202384;
  atomic_mass_map[320670000] = 66.93273362;
  atomic_mass_map[330670000] = 66.939251111;
  atomic_mass_map[340670000] = 66.949994;
  atomic_mass_map[350670000] = 66.964798;
  atomic_mass_map[240680000] = 67.984112;
  atomic_mass_map[250680000] = 67.969533;
  atomic_mass_map[260680000] = 67.953314875;
  atomic_mass_map[270680000] = 67.944250135;
  atomic_mass_map[280680000] = 67.931868789;
  atomic_mass_map[290680000] = 67.929610889;
  atomic_mass_map[300680000] = 67.924844291;
  atomic_mass_map[310680000] = 67.927980221;
  atomic_mass_map[320680000] = 67.928095308;
  atomic_mass_map[330680000] = 67.93677413;
  atomic_mass_map[340680000] = 67.941825239;
  atomic_mass_map[350680000] = 67.958356;
  atomic_mass_map[240690000] = 68.990789;
  atomic_mass_map[250690000] = 68.973408;
  atomic_mass_map[260690000] = 68.9581;
  atomic_mass_map[270690000] = 68.946023102;
  atomic_mass_map[280690000] = 68.935610268;
  atomic_mass_map[290690000] = 68.929429268;
  atomic_mass_map[300690000] = 68.926550418;
  atomic_mass_map[310690000] = 68.925573531;
  atomic_mass_map[320690000] = 68.927964471;
  atomic_mass_map[330690000] = 68.932246294;
  atomic_mass_map[340690000] = 68.939414847;
  atomic_mass_map[350690000] = 68.950338413;
  atomic_mass_map[360690000] = 68.96518;
  atomic_mass_map[240700000] = 69.995191;
  atomic_mass_map[250700000] = 69.979066;
  atomic_mass_map[260700000] = 69.960805;
  atomic_mass_map[270700000] = 69.949941;
  atomic_mass_map[280700000] = 69.936431303;
  atomic_mass_map[290700000] = 69.932392079;
  atomic_mass_map[300700000] = 69.925319181;
  atomic_mass_map[310700000] = 69.926021917;
  atomic_mass_map[320700000] = 69.924248706;
  atomic_mass_map[330700000] = 69.930926151;
  atomic_mass_map[340700000] = 69.933515523;
  atomic_mass_map[350700000] = 69.944792323;
  atomic_mass_map[360700000] = 69.955877;
  atomic_mass_map[250710000] = 70.983285;
  atomic_mass_map[260710000] = 70.966259;
  atomic_mass_map[270710000] = 70.952366923;
  atomic_mass_map[280710000] = 70.940518964;
  atomic_mass_map[290710000] = 70.932676832;
  atomic_mass_map[300710000] = 70.92771958;
  atomic_mass_map[310710000] = 70.924702536;
  atomic_mass_map[320710000] = 70.924952284;
  atomic_mass_map[330710000] = 70.927113758;
  atomic_mass_map[340710000] = 70.932209432;
  atomic_mass_map[350710000] = 70.939342156;
  atomic_mass_map[360710000] = 70.950265696;
  atomic_mass_map[370710000] = 70.965582;
  atomic_mass_map[250720000] = 71.989372;
  atomic_mass_map[260720000] = 71.969479;
  atomic_mass_map[270720000] = 71.956844;
  atomic_mass_map[280720000] = 71.941785926;
  atomic_mass_map[290720000] = 71.935820307;
  atomic_mass_map[300720000] = 71.926842807;
  atomic_mass_map[310720000] = 71.926367434;
  atomic_mass_map[320720000] = 71.922075826;
  atomic_mass_map[330720000] = 71.926752295;
  atomic_mass_map[340720000] = 71.927140507;
  atomic_mass_map[350720000] = 71.936594607;
  atomic_mass_map[360720000] = 71.942092407;
  atomic_mass_map[370720000] = 71.958851;
  atomic_mass_map[260730000] = 72.975416;
  atomic_mass_map[270730000] = 72.95983;
  atomic_mass_map[280730000] = 72.946206683;
  atomic_mass_map[290730000] = 72.936674378;
  atomic_mass_map[300730000] = 72.929582582;
  atomic_mass_map[310730000] = 72.925174682;
  atomic_mass_map[320730000] = 72.923458956;
  atomic_mass_map[330730000] = 72.923829089;
  atomic_mass_map[340730000] = 72.926754883;
  atomic_mass_map[350730000] = 72.931671621;
  atomic_mass_map[360730000] = 72.939289195;
  atomic_mass_map[370730000] = 72.950529;
  atomic_mass_map[380730000] = 72.9657;
  atomic_mass_map[260740000] = 73.978969;
  atomic_mass_map[270740000] = 73.964766;
  atomic_mass_map[280740000] = 73.94798;
  atomic_mass_map[290740000] = 73.939874862;
  atomic_mass_map[300740000] = 73.929407262;
  atomic_mass_map[310740000] = 73.926945726;
  atomic_mass_map[320740000] = 73.921177762;
  atomic_mass_map[330740000] = 73.923928598;
  atomic_mass_map[340740000] = 73.922475935;
  atomic_mass_map[350740000] = 73.929910281;
  atomic_mass_map[360740000] = 73.933084017;
  atomic_mass_map[370740000] = 73.944265868;
  atomic_mass_map[380740000] = 73.95617;
  atomic_mass_map[260750000] = 74.985357;
  atomic_mass_map[270750000] = 74.96817;
  atomic_mass_map[280750000] = 74.952732;
  atomic_mass_map[290750000] = 74.941522606;
  atomic_mass_map[300750000] = 74.932840246;
  atomic_mass_map[310750000] = 74.926500246;
  atomic_mass_map[320750000] = 74.922858371;
  atomic_mass_map[330750000] = 74.921594562;
  atomic_mass_map[340750000] = 74.922522871;
  atomic_mass_map[350750000] = 74.92581057;
  atomic_mass_map[360750000] = 74.930945746;
  atomic_mass_map[370750000] = 74.938573201;
  atomic_mass_map[380750000] = 74.94995277;
  atomic_mass_map[390750000] = 74.96584;
  atomic_mass_map[270760000] = 75.973687;
  atomic_mass_map[280760000] = 75.955308;
  atomic_mass_map[290760000] = 75.945275025;
  atomic_mass_map[300760000] = 75.933114957;
  atomic_mass_map[310760000] = 75.928827625;
  atomic_mass_map[320760000] = 75.921402726;
  atomic_mass_map[330760000] = 75.92239201;
  atomic_mass_map[340760000] = 75.919213704;
  atomic_mass_map[350760000] = 75.924541577;
  atomic_mass_map[360760000] = 75.925910726;
  atomic_mass_map[370760000] = 75.935073032;
  atomic_mass_map[380760000] = 75.941762761;
  atomic_mass_map[390760000] = 75.95869;
  atomic_mass_map[270770000] = 76.97744;
  atomic_mass_map[280770000] = 76.960494;
  atomic_mass_map[290770000] = 76.9478;
  atomic_mass_map[300770000] = 76.936887199;
  atomic_mass_map[310770000] = 76.9291543;
  atomic_mass_map[320770000] = 76.923549844;
  atomic_mass_map[330770000] = 76.920647564;
  atomic_mass_map[340770000] = 76.91991415;
  atomic_mass_map[350770000] = 76.921379194;
  atomic_mass_map[360770000] = 76.92467;
  atomic_mass_map[370770000] = 76.9304016;
  atomic_mass_map[380770000] = 76.937945455;
  atomic_mass_map[390770000] = 76.950146;
  atomic_mass_map[400770000] = 76.965604;
  atomic_mass_map[280780000] = 77.963618;
  atomic_mass_map[290780000] = 77.95223;
  atomic_mass_map[300780000] = 77.938289205;
  atomic_mass_map[310780000] = 77.931608845;
  atomic_mass_map[320780000] = 77.922852912;
  atomic_mass_map[330780000] = 77.921827795;
  atomic_mass_map[340780000] = 77.917309243;
  atomic_mass_map[350780000] = 77.921145859;
  atomic_mass_map[360780000] = 77.920366341;
  atomic_mass_map[370780000] = 77.928141868;
  atomic_mass_map[380780000] = 77.93217998;
  atomic_mass_map[390780000] = 77.94399;
  atomic_mass_map[400780000] = 77.956146;
  atomic_mass_map[280790000] = 78.970402;
  atomic_mass_map[290790000] = 78.95519;
  atomic_mass_map[300790000] = 78.942638068;
  atomic_mass_map[310790000] = 78.932852301;
  atomic_mass_map[320790000] = 78.925360129;
  atomic_mass_map[330790000] = 78.920948445;
  atomic_mass_map[340790000] = 78.918499251;
  atomic_mass_map[350790000] = 78.918337601;
  atomic_mass_map[360790000] = 78.920082945;
  atomic_mass_map[370790000] = 78.923989864;
  atomic_mass_map[380790000] = 78.929707664;
  atomic_mass_map[390790000] = 78.93793;
  atomic_mass_map[400790000] = 78.94979;
  atomic_mass_map[410790000] = 78.966022;
  atomic_mass_map[280800000] = 79.975706;
  atomic_mass_map[290800000] = 79.961138;
  atomic_mass_map[300800000] = 79.94455293;
  atomic_mass_map[310800000] = 79.936420774;
  atomic_mass_map[320800000] = 79.925350774;
  atomic_mass_map[330800000] = 79.922474548;
  atomic_mass_map[340800000] = 79.916521785;
  atomic_mass_map[350800000] = 79.91852981;
  atomic_mass_map[360800000] = 79.916378048;
  atomic_mass_map[370800000] = 79.922516444;
  atomic_mass_map[380800000] = 79.92451754;
  atomic_mass_map[390800000] = 79.934354755;
  atomic_mass_map[400800000] = 79.941642;
  atomic_mass_map[410800000] = 79.958754;
  atomic_mass_map[290810000] = 80.966269;
  atomic_mass_map[300810000] = 80.950402619;
  atomic_mass_map[310810000] = 80.938133842;
  atomic_mass_map[320810000] = 80.928832942;
  atomic_mass_map[330810000] = 80.92213229;
  atomic_mass_map[340810000] = 80.917993044;
  atomic_mass_map[350810000] = 80.916288206;
  atomic_mass_map[360810000] = 80.916589714;
  atomic_mass_map[370810000] = 80.918993927;
  atomic_mass_map[380810000] = 80.923211394;
  atomic_mass_map[390810000] = 80.929454283;
  atomic_mass_map[400810000] = 80.938314;
  atomic_mass_map[410810000] = 80.95023;
  atomic_mass_map[420810000] = 80.965915;
  atomic_mass_map[290820000] = 81.972818;
  atomic_mass_map[300820000] = 81.954574099;
  atomic_mass_map[310820000] = 81.943176533;
  atomic_mass_map[320820000] = 81.929774033;
  atomic_mass_map[330820000] = 81.924738733;
  atomic_mass_map[340820000] = 81.916699537;
  atomic_mass_map[350820000] = 81.91680176;
  atomic_mass_map[360820000] = 81.9134811552;
  atomic_mass_map[370820000] = 81.918209024;
  atomic_mass_map[380820000] = 81.918399847;
  atomic_mass_map[390820000] = 81.926930188;
  atomic_mass_map[400820000] = 81.931689;
  atomic_mass_map[410820000] = 81.944079;
  atomic_mass_map[420820000] = 81.956661;
  atomic_mass_map[300830000] = 82.961041;
  atomic_mass_map[310830000] = 82.947120301;
  atomic_mass_map[320830000] = 82.934539101;
  atomic_mass_map[330830000] = 82.925206901;
  atomic_mass_map[340830000] = 82.919118609;
  atomic_mass_map[350830000] = 82.915175289;
  atomic_mass_map[360830000] = 82.914126518;
  atomic_mass_map[370830000] = 82.915114182;
  atomic_mass_map[380830000] = 82.917554374;
  atomic_mass_map[390830000] = 82.922484025;
  atomic_mass_map[400830000] = 82.929240925;
  atomic_mass_map[410830000] = 82.938211;
  atomic_mass_map[420830000] = 82.950252;
  atomic_mass_map[430830000] = 82.966377;
  atomic_mass_map[300840000] = 83.965722;
  atomic_mass_map[310840000] = 83.95267;
  atomic_mass_map[320840000] = 83.937575091;
  atomic_mass_map[330840000] = 83.929303291;
  atomic_mass_map[340840000] = 83.918466762;
  atomic_mass_map[350840000] = 83.916496419;
  atomic_mass_map[360840000] = 83.91149772863;
  atomic_mass_map[370840000] = 83.914375225;
  atomic_mass_map[380840000] = 83.91341912;
  atomic_mass_map[390840000] = 83.920671061;
  atomic_mass_map[400840000] = 83.923325662;
  atomic_mass_map[410840000] = 83.934279;
  atomic_mass_map[420840000] = 83.941846;
  atomic_mass_map[430840000] = 83.959527;
  atomic_mass_map[300850000] = 84.972914;
  atomic_mass_map[310850000] = 84.95722;
  atomic_mass_map[320850000] = 84.942969659;
  atomic_mass_map[330850000] = 84.932163659;
  atomic_mass_map[340850000] = 84.922260759;
  atomic_mass_map[350850000] = 84.915645759;
  atomic_mass_map[360850000] = 84.912527262;
  atomic_mass_map[370850000] = 84.9117897376;
  atomic_mass_map[380850000] = 84.912932043;
  atomic_mass_map[390850000] = 84.916433039;
  atomic_mass_map[400850000] = 84.921443198;
  atomic_mass_map[410850000] = 84.928845837;
  atomic_mass_map[420850000] = 84.938260737;
  atomic_mass_map[430850000] = 84.950778;
  atomic_mass_map[440850000] = 84.966774;
  atomic_mass_map[310860000] = 85.963414;
  atomic_mass_map[320860000] = 85.946967;
  atomic_mass_map[330860000] = 85.936701533;
  atomic_mass_map[340860000] = 85.924311733;
  atomic_mass_map[350860000] = 85.918805433;
  atomic_mass_map[360860000] = 85.91061062627;
  atomic_mass_map[370860000] = 85.911167443;
  atomic_mass_map[380860000] = 85.90926072631;
  atomic_mass_map[390860000] = 85.914886098;
  atomic_mass_map[400860000] = 85.916296815;
  atomic_mass_map[410860000] = 85.925781535;
  atomic_mass_map[420860000] = 85.931174817;
  atomic_mass_map[430860000] = 85.944637;
  atomic_mass_map[440860000] = 85.957305;
  atomic_mass_map[310870000] = 86.968599;
  atomic_mass_map[320870000] = 86.95268;
  atomic_mass_map[330870000] = 86.940291718;
  atomic_mass_map[340870000] = 86.928688618;
  atomic_mass_map[350870000] = 86.920674018;
  atomic_mass_map[360870000] = 86.913354759;
  atomic_mass_map[370870000] = 86.909180531;
  atomic_mass_map[380870000] = 86.90887749615;
  atomic_mass_map[390870000] = 86.910876102;
  atomic_mass_map[400870000] = 86.914817339;
  atomic_mass_map[410870000] = 86.920692472;
  atomic_mass_map[420870000] = 86.928196201;
  atomic_mass_map[430870000] = 86.938067187;
  atomic_mass_map[440870000] = 86.951132;
  atomic_mass_map[320880000] = 87.95691;
  atomic_mass_map[330880000] = 87.94555;
  atomic_mass_map[340880000] = 87.931417491;
  atomic_mass_map[350880000] = 87.924083291;
  atomic_mass_map[360880000] = 87.914447881;
  atomic_mass_map[370880000] = 87.911315591;
  atomic_mass_map[380880000] = 87.90561225561;
  atomic_mass_map[390880000] = 87.909501276;
  atomic_mass_map[400880000] = 87.910220709;
  atomic_mass_map[410880000] = 87.918224287;
  atomic_mass_map[420880000] = 87.921967781;
  atomic_mass_map[430880000] = 87.933782381;
  atomic_mass_map[440880000] = 87.941664;
  atomic_mass_map[450880000] = 87.960429;
  atomic_mass_map[320890000] = 88.96379;
  atomic_mass_map[330890000] = 88.94976;
  atomic_mass_map[340890000] = 88.936669059;
  atomic_mass_map[350890000] = 88.926704559;
  atomic_mass_map[360890000] = 88.91783545;
  atomic_mass_map[370890000] = 88.912278137;
  atomic_mass_map[380890000] = 88.907450808;
  atomic_mass_map[390890000] = 88.905841205;
  atomic_mass_map[400890000] = 88.908882332;
  atomic_mass_map[410890000] = 88.913445272;
  atomic_mass_map[420890000] = 88.91946815;
  atomic_mass_map[430890000] = 88.92764865;
  atomic_mass_map[440890000] = 88.937455;
  atomic_mass_map[450890000] = 88.950767;
  atomic_mass_map[320900000] = 89.96863;
  atomic_mass_map[330900000] = 89.95563;
  atomic_mass_map[340900000] = 89.940096;
  atomic_mass_map[350900000] = 89.93129285;
  atomic_mass_map[360900000] = 89.91952793;
  atomic_mass_map[370900000] = 89.914798803;
  atomic_mass_map[380900000] = 89.907730885;
  atomic_mass_map[390900000] = 89.9071448;
  atomic_mass_map[400900000] = 89.904698758;
  atomic_mass_map[410900000] = 89.911259204;
  atomic_mass_map[420900000] = 89.913931272;
  atomic_mass_map[430900000] = 89.924073921;
  atomic_mass_map[440900000] = 89.930344379;
  atomic_mass_map[450900000] = 89.944498;
  atomic_mass_map[460900000] = 89.95737;
  atomic_mass_map[330910000] = 90.96039;
  atomic_mass_map[340910000] = 90.9457;
  atomic_mass_map[350910000] = 90.934398618;
  atomic_mass_map[360910000] = 90.92380631;
  atomic_mass_map[370910000] = 90.916537265;
  atomic_mass_map[380910000] = 90.910195958;
  atomic_mass_map[390910000] = 90.907298066;
  atomic_mass_map[400910000] = 90.905640223;
  atomic_mass_map[410910000] = 90.906990274;
  atomic_mass_map[420910000] = 90.911745195;
  atomic_mass_map[430910000] = 90.918424975;
  atomic_mass_map[440910000] = 90.926741532;
  atomic_mass_map[450910000] = 90.937123;
  atomic_mass_map[460910000] = 90.950692;
  atomic_mass_map[330920000] = 91.96674;
  atomic_mass_map[340920000] = 91.94984;
  atomic_mass_map[350920000] = 91.939631597;
  atomic_mass_map[360920000] = 91.926173094;
  atomic_mass_map[370920000] = 91.919728481;
  atomic_mass_map[380920000] = 91.911038224;
  atomic_mass_map[390920000] = 91.908945745;
  atomic_mass_map[400920000] = 91.905035322;
  atomic_mass_map[410920000] = 91.907188568;
  atomic_mass_map[420920000] = 91.906807155;
  atomic_mass_map[430920000] = 91.915269779;
  atomic_mass_map[440920000] = 91.920234375;
  atomic_mass_map[450920000] = 91.932367694;
  atomic_mass_map[460920000] = 91.941406;
  atomic_mass_map[470920000] = 91.960139;
  atomic_mass_map[340930000] = 92.95629;
  atomic_mass_map[350930000] = 92.94322;
  atomic_mass_map[360930000] = 92.931147174;
  atomic_mass_map[370930000] = 92.922039325;
  atomic_mass_map[380930000] = 92.914024311;
  atomic_mass_map[390930000] = 92.909578422;
  atomic_mass_map[400930000] = 92.906470646;
  atomic_mass_map[410930000] = 92.906373161;
  atomic_mass_map[420930000] = 92.906808773;
  atomic_mass_map[430930000] = 92.910245149;
  atomic_mass_map[440930000] = 92.917104444;
  atomic_mass_map[450930000] = 92.925912781;
  atomic_mass_map[460930000] = 92.93666;
  atomic_mass_map[470930000] = 92.95033;
  atomic_mass_map[340940000] = 93.96049;
  atomic_mass_map[350940000] = 93.949114;
  atomic_mass_map[360940000] = 93.934140454;
  atomic_mass_map[370940000] = 93.926394818;
  atomic_mass_map[380940000] = 93.915355643;
  atomic_mass_map[390940000] = 93.911592063;
  atomic_mass_map[400940000] = 93.906312524;
  atomic_mass_map[410940000] = 93.907278992;
  atomic_mass_map[420940000] = 93.905083592;
  atomic_mass_map[430940000] = 93.909652325;
  atomic_mass_map[440940000] = 93.911342863;
  atomic_mass_map[450940000] = 93.921730453;
  atomic_mass_map[460940000] = 93.929036292;
  atomic_mass_map[470940000] = 93.943736;
  atomic_mass_map[480940000] = 93.956908;
  atomic_mass_map[340950000] = 94.9673;
  atomic_mass_map[350950000] = 94.95301;
  atomic_mass_map[360950000] = 94.939710923;
  atomic_mass_map[370950000] = 94.929262568;
  atomic_mass_map[380950000] = 94.91935584;
  atomic_mass_map[390950000] = 94.912818711;
  atomic_mass_map[400950000] = 94.908040267;
  atomic_mass_map[410950000] = 94.906831115;
  atomic_mass_map[420950000] = 94.905837442;
  atomic_mass_map[430950000] = 94.907652287;
  atomic_mass_map[440950000] = 94.91040442;
  atomic_mass_map[450950000] = 94.915897895;
  atomic_mass_map[460950000] = 94.924888512;
  atomic_mass_map[470950000] = 94.93602;
  atomic_mass_map[480950000] = 94.94994;
  atomic_mass_map[350960000] = 95.95903;
  atomic_mass_map[360960000] = 95.943016618;
  atomic_mass_map[370960000] = 95.934133393;
  atomic_mass_map[380960000] = 95.921712692;
  atomic_mass_map[390960000] = 95.915902953;
  atomic_mass_map[400960000] = 95.908277621;
  atomic_mass_map[410960000] = 95.908101591;
  atomic_mass_map[420960000] = 95.904674774;
  atomic_mass_map[430960000] = 95.907866681;
  atomic_mass_map[440960000] = 95.907588914;
  atomic_mass_map[450960000] = 95.91445171;
  atomic_mass_map[460960000] = 95.918213744;
  atomic_mass_map[470960000] = 95.930743906;
  atomic_mass_map[480960000] = 95.94034;
  atomic_mass_map[490960000] = 95.959323;
  atomic_mass_map[350970000] = 96.96344;
  atomic_mass_map[360970000] = 96.949088784;
  atomic_mass_map[370970000] = 96.937177118;
  atomic_mass_map[380970000] = 96.926374776;
  atomic_mass_map[390970000] = 96.918280286;
  atomic_mass_map[400970000] = 96.910957386;
  atomic_mass_map[410970000] = 96.908098414;
  atomic_mass_map[420970000] = 96.906016903;
  atomic_mass_map[430970000] = 96.906360723;
  atomic_mass_map[440970000] = 96.907545779;
  atomic_mass_map[450970000] = 96.911327876;
  atomic_mass_map[460970000] = 96.916471987;
  atomic_mass_map[470970000] = 96.923965326;
  atomic_mass_map[480970000] = 96.9351;
  atomic_mass_map[490970000] = 96.94934;
  atomic_mass_map[350980000] = 97.969672;
  atomic_mass_map[360980000] = 97.95243;
  atomic_mass_map[370980000] = 97.941632317;
  atomic_mass_map[380980000] = 97.92869186;
  atomic_mass_map[390980000] = 97.92238836;
  atomic_mass_map[400980000] = 97.912735124;
  atomic_mass_map[410980000] = 97.91033265;
  atomic_mass_map[420980000] = 97.905403608;
  atomic_mass_map[430980000] = 97.907211205;
  atomic_mass_map[440980000] = 97.905286713;
  atomic_mass_map[450980000] = 97.91070774;
  atomic_mass_map[460980000] = 97.912698337;
  atomic_mass_map[470980000] = 97.921559972;
  atomic_mass_map[480980000] = 97.927389317;
  atomic_mass_map[490980000] = 97.94214;
  atomic_mass_map[360990000] = 98.95839;
  atomic_mass_map[370990000] = 98.94511919199999;
  atomic_mass_map[380990000] = 98.932880511;
  atomic_mass_map[390990000] = 98.924154288;
  atomic_mass_map[400990000] = 98.916670835;
  atomic_mass_map[410990000] = 98.911609371;
  atomic_mass_map[420990000] = 98.907707298;
  atomic_mass_map[430990000] = 98.906249678;
  atomic_mass_map[440990000] = 98.905930278;
  atomic_mass_map[450990000] = 98.90812469;
  atomic_mass_map[460990000] = 98.91177329;
  atomic_mass_map[470990000] = 98.917645768;
  atomic_mass_map[480990000] = 98.924925847;
  atomic_mass_map[490990000] = 98.93411;
  atomic_mass_map[500990000] = 98.94853;
  atomic_mass_map[361000000] = 99.96236999999999;
  atomic_mass_map[371000000] = 99.950351731;
  atomic_mass_map[381000000] = 99.935779615;
  atomic_mass_map[391000000] = 99.927721063;
  atomic_mass_map[401000000] = 99.918005444;
  atomic_mass_map[411000000] = 99.914333963;
  atomic_mass_map[421000000] = 99.907467976;
  atomic_mass_map[431000000] = 99.907652711;
  atomic_mass_map[441000000] = 99.904210452;
  atomic_mass_map[451000000] = 99.908114141;
  atomic_mass_map[461000000] = 99.908520315;
  atomic_mass_map[471000000] = 99.916115445;
  atomic_mass_map[481000000] = 99.92034882;
  atomic_mass_map[491000000] = 99.93095718000001;
  atomic_mass_map[501000000] = 99.938504196;
  atomic_mass_map[361010000] = 100.96873;
  atomic_mass_map[371010000] = 100.954004;
  atomic_mass_map[381010000] = 100.940606266;
  atomic_mass_map[391010000] = 100.930154138;
  atomic_mass_map[401010000] = 100.92145311;
  atomic_mass_map[411010000] = 100.915306496;
  atomic_mass_map[421010000] = 100.910337641;
  atomic_mass_map[431010000] = 100.90730526;
  atomic_mass_map[441010000] = 100.905573075;
  atomic_mass_map[451010000] = 100.906158905;
  atomic_mass_map[461010000] = 100.908284828;
  atomic_mass_map[471010000] = 100.912683953;
  atomic_mass_map[481010000] = 100.918586211;
  atomic_mass_map[491010000] = 100.92634;
  atomic_mass_map[501010000] = 100.935259244;
  atomic_mass_map[371020000] = 101.95952;
  atomic_mass_map[381020000] = 101.94400468;
  atomic_mass_map[391020000] = 101.934327889;
  atomic_mass_map[401020000] = 101.923147431;
  atomic_mass_map[411020000] = 101.918083697;
  atomic_mass_map[421020000] = 101.910288138;
  atomic_mass_map[431020000] = 101.909207275;
  atomic_mass_map[441020000] = 101.9043403;
  atomic_mass_map[451020000] = 101.90683427;
  atomic_mass_map[461020000] = 101.905632058;
  atomic_mass_map[471020000] = 101.91170454;
  atomic_mass_map[481020000] = 101.914481799;
  atomic_mass_map[491020000] = 101.924105916;
  atomic_mass_map[501020000] = 101.93028953;
  atomic_mass_map[371030000] = 102.96392;
  atomic_mass_map[381030000] = 102.94909;
  atomic_mass_map[391030000] = 102.937243208;
  atomic_mass_map[401030000] = 102.92719724;
  atomic_mass_map[411030000] = 102.919453403;
  atomic_mass_map[421030000] = 102.91308514;
  atomic_mass_map[431030000] = 102.909174008;
  atomic_mass_map[441030000] = 102.906314833;
  atomic_mass_map[451030000] = 102.905494068;
  atomic_mass_map[461030000] = 102.90611084;
  atomic_mass_map[471030000] = 102.90896056;
  atomic_mass_map[481030000] = 102.913416923;
  atomic_mass_map[491030000] = 102.919878613;
  atomic_mass_map[501030000] = 102.928101962;
  atomic_mass_map[511030000] = 102.93969;
  atomic_mass_map[381040000] = 103.95265;
  atomic_mass_map[391040000] = 103.94196;
  atomic_mass_map[401040000] = 103.929442315;
  atomic_mass_map[411040000] = 103.922899115;
  atomic_mass_map[421040000] = 103.913740756;
  atomic_mass_map[431040000] = 103.911428905;
  atomic_mass_map[441040000] = 103.90542536;
  atomic_mass_map[451040000] = 103.906645295;
  atomic_mass_map[461040000] = 103.904030401;
  atomic_mass_map[471040000] = 103.908623725;
  atomic_mass_map[481040000] = 103.90985623;
  atomic_mass_map[491040000] = 103.91821454;
  atomic_mass_map[501040000] = 103.923105197;
  atomic_mass_map[511040000] = 103.936474502;
  atomic_mass_map[381050000] = 104.95855;
  atomic_mass_map[391050000] = 104.944959;
  atomic_mass_map[401050000] = 104.93401489;
  atomic_mass_map[411050000] = 104.924942564;
  atomic_mass_map[421050000] = 104.916975159;
  atomic_mass_map[431050000] = 104.911657952;
  atomic_mass_map[441050000] = 104.907745525;
  atomic_mass_map[451050000] = 104.905687806;
  atomic_mass_map[461050000] = 104.905079487;
  atomic_mass_map[471050000] = 104.906525607;
  atomic_mass_map[481050000] = 104.909463895;
  atomic_mass_map[491050000] = 104.914502324;
  atomic_mass_map[501050000] = 104.921268423;
  atomic_mass_map[511050000] = 104.931276549;
  atomic_mass_map[521050000] = 104.943304508;
  atomic_mass_map[381060000] = 105.962651;
  atomic_mass_map[391060000] = 105.95056;
  atomic_mass_map[401060000] = 105.937144;
  atomic_mass_map[411060000] = 105.928927768;
  atomic_mass_map[421060000] = 105.918266218;
  atomic_mass_map[431060000] = 105.914356697;
  atomic_mass_map[441060000] = 105.907328203;
  atomic_mass_map[451060000] = 105.907285901;
  atomic_mass_map[461060000] = 105.903480293;
  atomic_mass_map[471060000] = 105.906663507;
  atomic_mass_map[481060000] = 105.906459797;
  atomic_mass_map[491060000] = 105.913463603;
  atomic_mass_map[501060000] = 105.916957396;
  atomic_mass_map[511060000] = 105.928637982;
  atomic_mass_map[521060000] = 105.937498526;
  atomic_mass_map[381070000] = 106.968975;
  atomic_mass_map[391070000] = 106.95452;
  atomic_mass_map[401070000] = 106.941621;
  atomic_mass_map[411070000] = 106.931589672;
  atomic_mass_map[421070000] = 106.922112692;
  atomic_mass_map[431070000] = 106.915458485;
  atomic_mass_map[441070000] = 106.909969885;
  atomic_mass_map[451070000] = 106.906747974;
  atomic_mass_map[461070000] = 106.905128064;
  atomic_mass_map[471070000] = 106.905091531;
  atomic_mass_map[481070000] = 106.906612108;
  atomic_mass_map[491070000] = 106.910290071;
  atomic_mass_map[501070000] = 106.915713651;
  atomic_mass_map[511070000] = 106.924150624;
  atomic_mass_map[521070000] = 106.935008356;
  atomic_mass_map[531070000] = 106.946935;
  atomic_mass_map[391080000] = 107.95996;
  atomic_mass_map[401080000] = 107.94487;
  atomic_mass_map[411080000] = 107.936074988;
  atomic_mass_map[421080000] = 107.924040367;
  atomic_mass_map[431080000] = 107.918493541;
  atomic_mass_map[441080000] = 107.910185841;
  atomic_mass_map[451080000] = 107.908714688;
  atomic_mass_map[461080000] = 107.903891805;
  atomic_mass_map[471080000] = 107.905950266;
  atomic_mass_map[481080000] = 107.904183587;
  atomic_mass_map[491080000] = 107.909693655;
  atomic_mass_map[501080000] = 107.911894292;
  atomic_mass_map[511080000] = 107.922226734;
  atomic_mass_map[521080000] = 107.929380471;
  atomic_mass_map[531080000] = 107.943478321;
  atomic_mass_map[391090000] = 108.964358;
  atomic_mass_map[401090000] = 108.95041;
  atomic_mass_map[411090000] = 108.939141;
  atomic_mass_map[421090000] = 108.928431106;
  atomic_mass_map[431090000] = 108.920254156;
  atomic_mass_map[441090000] = 108.913323756;
  atomic_mass_map[451090000] = 108.908749326;
  atomic_mass_map[461090000] = 108.905950574;
  atomic_mass_map[471090000] = 108.904755773;
  atomic_mass_map[481090000] = 108.904986698;
  atomic_mass_map[491090000] = 108.907149685;
  atomic_mass_map[501090000] = 108.911292843;
  atomic_mass_map[511090000] = 108.918141204;
  atomic_mass_map[521090000] = 108.927304534;
  atomic_mass_map[531090000] = 108.938086025;
  atomic_mass_map[541090000] = 108.950434948;
  atomic_mass_map[401100000] = 109.95396;
  atomic_mass_map[411100000] = 109.943843;
  atomic_mass_map[421100000] = 109.93071068;
  atomic_mass_map[431100000] = 109.923741312;
  atomic_mass_map[441100000] = 109.914038548;
  atomic_mass_map[451100000] = 109.911079742;
  atomic_mass_map[461100000] = 109.905172868;
  atomic_mass_map[471100000] = 109.906110719;
  atomic_mass_map[481100000] = 109.90300746;
  atomic_mass_map[491100000] = 109.907170665;
  atomic_mass_map[501100000] = 109.907844835;
  atomic_mass_map[511100000] = 109.916854286;
  atomic_mass_map[521100000] = 109.922458104;
  atomic_mass_map[531100000] = 109.935089033;
  atomic_mass_map[541100000] = 109.944258765;
  atomic_mass_map[401110000] = 110.959678;
  atomic_mass_map[411110000] = 110.94753;
  atomic_mass_map[421110000] = 110.935652016;
  atomic_mass_map[431110000] = 110.925899016;
  atomic_mass_map[441110000] = 110.917567616;
  atomic_mass_map[451110000] = 110.911642531;
  atomic_mass_map[461110000] = 110.907690347;
  atomic_mass_map[471110000] = 110.905296816;
  atomic_mass_map[481110000] = 110.904183766;
  atomic_mass_map[491110000] = 110.905107233;
  atomic_mass_map[501110000] = 110.907741126;
  atomic_mass_map[511110000] = 110.913218189;
  atomic_mass_map[521110000] = 110.921000589;
  atomic_mass_map[531110000] = 110.930269239;
  atomic_mass_map[541110000] = 110.941603989;
  atomic_mass_map[551110000] = 110.95403;
  atomic_mass_map[401120000] = 111.963703;
  atomic_mass_map[411120000] = 111.95247;
  atomic_mass_map[421120000] = 111.93831;
  atomic_mass_map[431120000] = 111.929941644;
  atomic_mass_map[441120000] = 111.918806972;
  atomic_mass_map[451120000] = 111.914404705;
  atomic_mass_map[461120000] = 111.907329986;
  atomic_mass_map[471120000] = 111.90704855;
  atomic_mass_map[481120000] = 111.902763883;
  atomic_mass_map[491120000] = 111.905538704;
  atomic_mass_map[501120000] = 111.904824877;
  atomic_mass_map[511120000] = 111.912399903;
  atomic_mass_map[521120000] = 111.91672785;
  atomic_mass_map[531120000] = 111.92800455;
  atomic_mass_map[541120000] = 111.935559071;
  atomic_mass_map[551120000] = 111.950305341;
  atomic_mass_map[411130000] = 112.95651;
  atomic_mass_map[421130000] = 112.94365;
  atomic_mass_map[431130000] = 112.932569033;
  atomic_mass_map[441130000] = 112.922846396;
  atomic_mass_map[451130000] = 112.91543956699999;
  atomic_mass_map[461130000] = 112.910261267;
  atomic_mass_map[471130000] = 112.906572858;
  atomic_mass_map[481130000] = 112.904408097;
  atomic_mass_map[491130000] = 112.904060448;
  atomic_mass_map[501130000] = 112.905175845;
  atomic_mass_map[511130000] = 112.909374652;
  atomic_mass_map[521130000] = 112.915891;
  atomic_mass_map[531130000] = 112.923650064;
  atomic_mass_map[541130000] = 112.933221666;
  atomic_mass_map[551130000] = 112.944428488;
  atomic_mass_map[561130000] = 112.95729;
  atomic_mass_map[411140000] = 113.96201;
  atomic_mass_map[421140000] = 113.94653;
  atomic_mass_map[431140000] = 113.93709;
  atomic_mass_map[441140000] = 113.92461378;
  atomic_mass_map[451140000] = 113.918721296;
  atomic_mass_map[461140000] = 113.91036878;
  atomic_mass_map[471140000] = 113.908823031;
  atomic_mass_map[481140000] = 113.90336499;
  atomic_mass_map[491140000] = 113.904916402;
  atomic_mass_map[501140000] = 113.902780132;
  atomic_mass_map[511140000] = 113.909289191;
  atomic_mass_map[521140000] = 113.912089;
  atomic_mass_map[531140000] = 113.92185;
  atomic_mass_map[541140000] = 113.927980331;
  atomic_mass_map[551140000] = 113.941296175;
  atomic_mass_map[561140000] = 113.950718495;
  atomic_mass_map[411150000] = 114.96634;
  atomic_mass_map[421150000] = 114.95196;
  atomic_mass_map[431150000] = 114.939538;
  atomic_mass_map[441150000] = 114.928942393;
  atomic_mass_map[451150000] = 114.920310993;
  atomic_mass_map[461150000] = 114.913658718;
  atomic_mass_map[471150000] = 114.908767363;
  atomic_mass_map[481150000] = 114.905437417;
  atomic_mass_map[491150000] = 114.903878773;
  atomic_mass_map[501150000] = 114.903344697;
  atomic_mass_map[511150000] = 114.906598;
  atomic_mass_map[521150000] = 114.911902;
  atomic_mass_map[531150000] = 114.918048;
  atomic_mass_map[541150000] = 114.926293945;
  atomic_mass_map[551150000] = 114.93591;
  atomic_mass_map[561150000] = 114.947375;
  atomic_mass_map[421160000] = 115.955448;
  atomic_mass_map[431160000] = 115.94476;
  atomic_mass_map[441160000] = 115.931219193;
  atomic_mass_map[451160000] = 115.924061645;
  atomic_mass_map[461160000] = 115.91429721;
  atomic_mass_map[471160000] = 115.911386812;
  atomic_mass_map[481160000] = 115.90476323;
  atomic_mass_map[491160000] = 115.905259992;
  atomic_mass_map[501160000] = 115.901742824;
  atomic_mass_map[511160000] = 115.906792583;
  atomic_mass_map[521160000] = 115.90846;
  atomic_mass_map[531160000] = 115.916808658;
  atomic_mass_map[541160000] = 115.921581112;
  atomic_mass_map[551160000] = 115.933395;
  atomic_mass_map[561160000] = 115.941406;
  atomic_mass_map[571160000] = 115.956365;
  atomic_mass_map[421170000] = 116.96117;
  atomic_mass_map[431170000] = 116.94806;
  atomic_mass_map[441170000] = 116.936135;
  atomic_mass_map[451170000] = 116.926035623;
  atomic_mass_map[461170000] = 116.917954944;
  atomic_mass_map[471170000] = 116.911773974;
  atomic_mass_map[481170000] = 116.907226038;
  atomic_mass_map[491170000] = 116.904515712;
  atomic_mass_map[501170000] = 116.902954017;
  atomic_mass_map[511170000] = 116.904841535;
  atomic_mass_map[521170000] = 116.908646313;
  atomic_mass_map[531170000] = 116.913648314;
  atomic_mass_map[541170000] = 116.92035876;
  atomic_mass_map[551170000] = 116.928616726;
  atomic_mass_map[561170000] = 116.938316561;
  atomic_mass_map[571170000] = 116.950111;
  atomic_mass_map[421180000] = 117.96497;
  atomic_mass_map[431180000] = 117.95299;
  atomic_mass_map[441180000] = 117.938529;
  atomic_mass_map[451180000] = 117.930340443;
  atomic_mass_map[461180000] = 117.919066847;
  atomic_mass_map[471180000] = 117.914595487;
  atomic_mass_map[481180000] = 117.906921955;
  atomic_mass_map[491180000] = 117.906356659;
  atomic_mass_map[501180000] = 117.901606609;
  atomic_mass_map[511180000] = 117.905532174;
  atomic_mass_map[521180000] = 117.905853839;
  atomic_mass_map[531180000] = 117.913074;
  atomic_mass_map[541180000] = 117.91617868;
  atomic_mass_map[551180000] = 117.926559519;
  atomic_mass_map[561180000] = 117.93306;
  atomic_mass_map[571180000] = 117.946795;
  atomic_mass_map[431190000] = 118.95666;
  atomic_mass_map[441190000] = 118.94357;
  atomic_mass_map[451190000] = 118.932556952;
  atomic_mass_map[461190000] = 118.923340459;
  atomic_mass_map[471190000] = 118.915570293;
  atomic_mass_map[481190000] = 118.909846903;
  atomic_mass_map[491190000] = 118.905850944;
  atomic_mass_map[501190000] = 118.903311216;
  atomic_mass_map[511190000] = 118.903945512;
  atomic_mass_map[521190000] = 118.906407148;
  atomic_mass_map[531190000] = 118.910074;
  atomic_mass_map[541190000] = 118.915410713;
  atomic_mass_map[551190000] = 118.92237733;
  atomic_mass_map[561190000] = 118.930659686;
  atomic_mass_map[571190000] = 118.941181;
  atomic_mass_map[581190000] = 118.952828;
  atomic_mass_map[431200000] = 119.96187;
  atomic_mass_map[441200000] = 119.94631;
  atomic_mass_map[451200000] = 119.93686;
  atomic_mass_map[461200000] = 119.924551258;
  atomic_mass_map[471200000] = 119.918784767;
  atomic_mass_map[481200000] = 119.909868067;
  atomic_mass_map[491200000] = 119.907966805;
  atomic_mass_map[501200000] = 119.902201873;
  atomic_mass_map[511200000] = 119.905079624;
  atomic_mass_map[521200000] = 119.904059514;
  atomic_mass_map[531200000] = 119.910087465;
  atomic_mass_map[541200000] = 119.91178427;
  atomic_mass_map[551200000] = 119.920677279;
  atomic_mass_map[561200000] = 119.926045;
  atomic_mass_map[571200000] = 119.938196;
  atomic_mass_map[581200000] = 119.946752;
  atomic_mass_map[431210000] = 120.965883;
  atomic_mass_map[441210000] = 120.95164;
  atomic_mass_map[451210000] = 120.939613;
  atomic_mass_map[461210000] = 120.928950343;
  atomic_mass_map[471210000] = 120.920125282;
  atomic_mass_map[481210000] = 120.912963663;
  atomic_mass_map[491210000] = 120.907851286;
  atomic_mass_map[501210000] = 120.904242792;
  atomic_mass_map[511210000] = 120.903810093;
  atomic_mass_map[521210000] = 120.904942488;
  atomic_mass_map[531210000] = 120.907405255;
  atomic_mass_map[541210000] = 120.911453014;
  atomic_mass_map[551210000] = 120.917227238;
  atomic_mass_map[561210000] = 120.924052289;
  atomic_mass_map[571210000] = 120.933236;
  atomic_mass_map[581210000] = 120.943435;
  atomic_mass_map[591210000] = 120.955532;
  atomic_mass_map[441220000] = 121.95475;
  atomic_mass_map[451220000] = 121.94409;
  atomic_mass_map[461220000] = 121.930631694;
  atomic_mass_map[471220000] = 121.923664448;
  atomic_mass_map[481220000] = 121.913459052;
  atomic_mass_map[491220000] = 121.910280966;
  atomic_mass_map[501220000] = 121.903444001;
  atomic_mass_map[511220000] = 121.905168074;
  atomic_mass_map[521220000] = 121.903043434;
  atomic_mass_map[531220000] = 121.90758882;
  atomic_mass_map[541220000] = 121.908367658;
  atomic_mass_map[551220000] = 121.916108145;
  atomic_mass_map[561220000] = 121.919904;
  atomic_mass_map[571220000] = 121.93071;
  atomic_mass_map[581220000] = 121.93787;
  atomic_mass_map[591220000] = 121.951927;
  atomic_mass_map[441230000] = 122.960193;
  atomic_mass_map[451230000] = 122.94701;
  atomic_mass_map[461230000] = 122.935126;
  atomic_mass_map[471230000] = 122.925337062;
  atomic_mass_map[481230000] = 122.916892453;
  atomic_mass_map[491230000] = 122.910433826;
  atomic_mass_map[501230000] = 122.905725446;
  atomic_mass_map[511230000] = 122.904214016;
  atomic_mass_map[521230000] = 122.904269747;
  atomic_mass_map[531230000] = 122.90558852;
  atomic_mass_map[541230000] = 122.90848174999999;
  atomic_mass_map[551230000] = 122.912996062;
  atomic_mass_map[561230000] = 122.918781062;
  atomic_mass_map[571230000] = 122.9263;
  atomic_mass_map[581230000] = 122.93528;
  atomic_mass_map[591230000] = 122.946076;
  atomic_mass_map[441240000] = 123.963542;
  atomic_mass_map[451240000] = 123.951809;
  atomic_mass_map[461240000] = 123.937316;
  atomic_mass_map[471240000] = 123.928931229;
  atomic_mass_map[481240000] = 123.917657363;
  atomic_mass_map[491240000] = 123.913182263;
  atomic_mass_map[501240000] = 123.905276692;
  atomic_mass_map[511240000] = 123.905935789;
  atomic_mass_map[521240000] = 123.902817064;
  atomic_mass_map[531240000] = 123.906209021;
  atomic_mass_map[541240000] = 123.905891588;
  atomic_mass_map[551240000] = 123.912257798;
  atomic_mass_map[561240000] = 123.915093629;
  atomic_mass_map[571240000] = 123.924574275;
  atomic_mass_map[581240000] = 123.93031;
  atomic_mass_map[591240000] = 123.94294;
  atomic_mass_map[601240000] = 123.9522;
  atomic_mass_map[451250000] = 124.954911;
  atomic_mass_map[461250000] = 124.9419;
  atomic_mass_map[471250000] = 124.930735;
  atomic_mass_map[481250000] = 124.921257577;
  atomic_mass_map[491250000] = 124.913604591;
  atomic_mass_map[501250000] = 124.907786442;
  atomic_mass_map[511250000] = 124.905252987;
  atomic_mass_map[521250000] = 124.9044299;
  atomic_mass_map[531250000] = 124.904629333;
  atomic_mass_map[541250000] = 124.90639405;
  atomic_mass_map[551250000] = 124.909727867;
  atomic_mass_map[561250000] = 124.914471843;
  atomic_mass_map[571250000] = 124.920815932;
  atomic_mass_map[581250000] = 124.92844;
  atomic_mass_map[591250000] = 124.937799;
  atomic_mass_map[601250000] = 124.9489;
  atomic_mass_map[451260000] = 125.959957;
  atomic_mass_map[461260000] = 125.944326;
  atomic_mass_map[471260000] = 125.934857;
  atomic_mass_map[481260000] = 125.922429127;
  atomic_mass_map[491260000] = 125.916507344;
  atomic_mass_map[501260000] = 125.907658836;
  atomic_mass_map[511260000] = 125.907253036;
  atomic_mass_map[521260000] = 125.903310866;
  atomic_mass_map[531260000] = 125.905623313;
  atomic_mass_map[541260000] = 125.904296794;
  atomic_mass_map[551260000] = 125.909445655;
  atomic_mass_map[561260000] = 125.911250204;
  atomic_mass_map[571260000] = 125.919512667;
  atomic_mass_map[581260000] = 125.923971;
  atomic_mass_map[591260000] = 125.93524;
  atomic_mass_map[601260000] = 125.94311;
  atomic_mass_map[611260000] = 125.957756;
  atomic_mass_map[451270000] = 126.963467;
  atomic_mass_map[461270000] = 126.94935;
  atomic_mass_map[471270000] = 126.937262;
  atomic_mass_map[481270000] = 126.926196624;
  atomic_mass_map[491270000] = 126.917448546;
  atomic_mass_map[501270000] = 126.910390401;
  atomic_mass_map[511270000] = 126.906924277;
  atomic_mass_map[521270000] = 126.905225714;
  atomic_mass_map[531270000] = 126.904471838;
  atomic_mass_map[541270000] = 126.905182899;
  atomic_mass_map[551270000] = 126.907417381;
  atomic_mass_map[561270000] = 126.911091275;
  atomic_mass_map[571270000] = 126.916375084;
  atomic_mass_map[581270000] = 126.922727;
  atomic_mass_map[591270000] = 126.93071;
  atomic_mass_map[601270000] = 126.94038;
  atomic_mass_map[611270000] = 126.95192;
  atomic_mass_map[461280000] = 127.952238;
  atomic_mass_map[471280000] = 127.941363;
  atomic_mass_map[481280000] = 127.927812857;
  atomic_mass_map[491280000] = 127.920401053;
  atomic_mass_map[501280000] = 127.910507197;
  atomic_mass_map[511280000] = 127.909145645;
  atomic_mass_map[521280000] = 127.904461311;
  atomic_mass_map[531280000] = 127.9058086;
  atomic_mass_map[541280000] = 127.903530996;
  atomic_mass_map[551280000] = 127.907748648;
  atomic_mass_map[561280000] = 127.908342408;
  atomic_mass_map[571280000] = 127.915592123;
  atomic_mass_map[581280000] = 127.918911;
  atomic_mass_map[591280000] = 127.928791;
  atomic_mass_map[601280000] = 127.93525;
  atomic_mass_map[611280000] = 127.9487;
  atomic_mass_map[621280000] = 127.958486;
  atomic_mass_map[461290000] = 128.959624;
  atomic_mass_map[471290000] = 128.944197;
  atomic_mass_map[481290000] = 128.932304399;
  atomic_mass_map[491290000] = 128.921805486;
  atomic_mass_map[501290000] = 128.913482102;
  atomic_mass_map[511290000] = 128.909146696;
  atomic_mass_map[521290000] = 128.906596492;
  atomic_mass_map[531290000] = 128.904983687;
  atomic_mass_map[541290000] = 128.90478085892;
  atomic_mass_map[551290000] = 128.90606569;
  atomic_mass_map[561290000] = 128.908680896;
  atomic_mass_map[571290000] = 128.912694475;
  atomic_mass_map[581290000] = 128.918102;
  atomic_mass_map[591290000] = 128.925095;
  atomic_mass_map[601290000] = 128.933102;
  atomic_mass_map[611290000] = 128.94323;
  atomic_mass_map[621290000] = 128.954911;
  atomic_mass_map[471300000] = 129.950942;
  atomic_mass_map[481300000] = 129.934387566;
  atomic_mass_map[491300000] = 129.924977288;
  atomic_mass_map[501300000] = 129.913974533;
  atomic_mass_map[511300000] = 129.911662688;
  atomic_mass_map[521300000] = 129.906222747;
  atomic_mass_map[531300000] = 129.906670211;
  atomic_mass_map[541300000] = 129.903509349;
  atomic_mass_map[551300000] = 129.906709283;
  atomic_mass_map[561300000] = 129.906320874;
  atomic_mass_map[571300000] = 129.912369413;
  atomic_mass_map[581300000] = 129.914736;
  atomic_mass_map[591300000] = 129.92359;
  atomic_mass_map[601300000] = 129.928506;
  atomic_mass_map[611300000] = 129.94053;
  atomic_mass_map[621300000] = 129.949;
  atomic_mass_map[631300000] = 129.96384;
  atomic_mass_map[471310000] = 130.95665;
  atomic_mass_map[481310000] = 130.94072;
  atomic_mass_map[491310000] = 130.926972122;
  atomic_mass_map[501310000] = 130.917053066;
  atomic_mass_map[511310000] = 130.911989341;
  atomic_mass_map[521310000] = 130.908522211;
  atomic_mass_map[531310000] = 130.906126384;
  atomic_mass_map[541310000] = 130.905084136;
  atomic_mass_map[551310000] = 130.905464999;
  atomic_mass_map[561310000] = 130.906941181;
  atomic_mass_map[571310000] = 130.91007;
  atomic_mass_map[581310000] = 130.914429465;
  atomic_mass_map[591310000] = 130.92023496;
  atomic_mass_map[601310000] = 130.92724802;
  atomic_mass_map[611310000] = 130.935952;
  atomic_mass_map[621310000] = 130.94618;
  atomic_mass_map[631310000] = 130.957842;
  atomic_mass_map[471320000] = 131.963725;
  atomic_mass_map[481320000] = 131.94604;
  atomic_mass_map[491320000] = 131.932998449;
  atomic_mass_map[501320000] = 131.917823902;
  atomic_mass_map[511320000] = 131.914508015;
  atomic_mass_map[521320000] = 131.908546716;
  atomic_mass_map[531320000] = 131.907993514;
  atomic_mass_map[541320000] = 131.90415508697;
  atomic_mass_map[551320000] = 131.906437743;
  atomic_mass_map[561320000] = 131.905061098;
  atomic_mass_map[571320000] = 131.910118959;
  atomic_mass_map[581320000] = 131.911463846;
  atomic_mass_map[591320000] = 131.91924;
  atomic_mass_map[601320000] = 131.923321237;
  atomic_mass_map[611320000] = 131.93384;
  atomic_mass_map[621320000] = 131.94087;
  atomic_mass_map[631320000] = 131.954696;
  atomic_mass_map[481330000] = 132.95285;
  atomic_mass_map[491330000] = 132.93831;
  atomic_mass_map[501330000] = 132.923913756;
  atomic_mass_map[511330000] = 132.91527213;
  atomic_mass_map[521330000] = 132.910963332;
  atomic_mass_map[531330000] = 132.907827361;
  atomic_mass_map[541330000] = 132.90591075;
  atomic_mass_map[551330000] = 132.905451961;
  atomic_mass_map[561330000] = 132.906007325;
  atomic_mass_map[571330000] = 132.908218;
  atomic_mass_map[581330000] = 132.911520402;
  atomic_mass_map[591330000] = 132.916330561;
  atomic_mass_map[601330000] = 132.922348;
  atomic_mass_map[611330000] = 132.929782;
  atomic_mass_map[621330000] = 132.93856;
  atomic_mass_map[631330000] = 132.94929;
  atomic_mass_map[641330000] = 132.961503;
  atomic_mass_map[481340000] = 133.958218;
  atomic_mass_map[491340000] = 133.94454;
  atomic_mass_map[501340000] = 133.928680433;
  atomic_mass_map[511340000] = 133.920535675;
  atomic_mass_map[521340000] = 133.911396379;
  atomic_mass_map[531340000] = 133.909775663;
  atomic_mass_map[541340000] = 133.905393033;
  atomic_mass_map[551340000] = 133.906718503;
  atomic_mass_map[561340000] = 133.904508399;
  atomic_mass_map[571340000] = 133.908514011;
  atomic_mass_map[581340000] = 133.908928142;
  atomic_mass_map[591340000] = 133.915696729;
  atomic_mass_map[601340000] = 133.91879021;
  atomic_mass_map[611340000] = 133.928353;
  atomic_mass_map[621340000] = 133.93411;
  atomic_mass_map[631340000] = 133.9464;
  atomic_mass_map[641340000] = 133.95566;
  atomic_mass_map[491350000] = 134.95005;
  atomic_mass_map[501350000] = 134.934908605;
  atomic_mass_map[511350000] = 134.925184357;
  atomic_mass_map[521350000] = 134.916554718;
  atomic_mass_map[531350000] = 134.910059382;
  atomic_mass_map[541350000] = 134.907231661;
  atomic_mass_map[551350000] = 134.905977234;
  atomic_mass_map[561350000] = 134.905688606;
  atomic_mass_map[571350000] = 134.906984568;
  atomic_mass_map[581350000] = 134.909160799;
  atomic_mass_map[591350000] = 134.913111774;
  atomic_mass_map[601350000] = 134.91818132;
  atomic_mass_map[611350000] = 134.924796;
  atomic_mass_map[621350000] = 134.93252;
  atomic_mass_map[631350000] = 134.94187;
  atomic_mass_map[641350000] = 134.952345;
  atomic_mass_map[651350000] = 134.96476;
  atomic_mass_map[491360000] = 135.956511;
  atomic_mass_map[501360000] = 135.93999;
  atomic_mass_map[511360000] = 135.930749011;
  atomic_mass_map[521360000] = 135.920101182;
  atomic_mass_map[531360000] = 135.914604695;
  atomic_mass_map[541360000] = 135.907214476;
  atomic_mass_map[551360000] = 135.90731159;
  atomic_mass_map[561360000] = 135.904575959;
  atomic_mass_map[571360000] = 135.907634962;
  atomic_mass_map[581360000] = 135.907129438;
  atomic_mass_map[591360000] = 135.912677532;
  atomic_mass_map[601360000] = 135.914976064;
  atomic_mass_map[611360000] = 135.923595949;
  atomic_mass_map[621360000] = 135.928275555;
  atomic_mass_map[631360000] = 135.93962;
  atomic_mass_map[641360000] = 135.9473;
  atomic_mass_map[651360000] = 135.961213;
  atomic_mass_map[491370000] = 136.962383;
  atomic_mass_map[501370000] = 136.94655;
  atomic_mass_map[511370000] = 136.935522522;
  atomic_mass_map[521370000] = 136.925599357;
  atomic_mass_map[531370000] = 136.91802818;
  atomic_mass_map[541370000] = 136.911557773;
  atomic_mass_map[551370000] = 136.907089464;
  atomic_mass_map[561370000] = 136.905827375;
  atomic_mass_map[571370000] = 136.906450618;
  atomic_mass_map[581370000] = 136.907762596;
  atomic_mass_map[591370000] = 136.910679304;
  atomic_mass_map[601370000] = 136.914562448;
  atomic_mass_map[611370000] = 136.920479522;
  atomic_mass_map[621370000] = 136.926970517;
  atomic_mass_map[631370000] = 136.935430722;
  atomic_mass_map[641370000] = 136.94502;
  atomic_mass_map[651370000] = 136.95602;
  atomic_mass_map[501380000] = 137.95184;
  atomic_mass_map[511380000] = 137.941792;
  atomic_mass_map[521380000] = 137.929472454;
  atomic_mass_map[531380000] = 137.922726394;
  atomic_mass_map[541380000] = 137.914146271;
  atomic_mass_map[551380000] = 137.911017207;
  atomic_mass_map[561380000] = 137.905247229;
  atomic_mass_map[571380000] = 137.907117834;
  atomic_mass_map[581380000] = 137.905988743;
  atomic_mass_map[591380000] = 137.910752059;
  atomic_mass_map[601380000] = 137.911949717;
  atomic_mass_map[611380000] = 137.919548077;
  atomic_mass_map[621380000] = 137.92324399;
  atomic_mass_map[631380000] = 137.933709;
  atomic_mass_map[641380000] = 137.940096;
  atomic_mass_map[651380000] = 137.95312;
  atomic_mass_map[661380000] = 137.9625;
  atomic_mass_map[501390000] = 138.958733;
  atomic_mass_map[511390000] = 138.94655;
  atomic_mass_map[521390000] = 138.935367193;
  atomic_mass_map[531390000] = 138.926493403;
  atomic_mass_map[541390000] = 138.918792203;
  atomic_mass_map[551390000] = 138.913363992;
  atomic_mass_map[561390000] = 138.908841334;
  atomic_mass_map[571390000] = 138.906358804;
  atomic_mass_map[581390000] = 138.906657625;
  atomic_mass_map[591390000] = 138.90894327;
  atomic_mass_map[601390000] = 138.911954407;
  atomic_mass_map[611390000] = 138.916799806;
  atomic_mass_map[621390000] = 138.922296634;
  atomic_mass_map[631390000] = 138.92979231;
  atomic_mass_map[641390000] = 138.93813;
  atomic_mass_map[651390000] = 138.94833;
  atomic_mass_map[661390000] = 138.95959;
  atomic_mass_map[511400000] = 139.95283;
  atomic_mass_map[521400000] = 139.939262917;
  atomic_mass_map[531400000] = 139.931715917;
  atomic_mass_map[541400000] = 139.921645817;
  atomic_mass_map[551400000] = 139.917283305;
  atomic_mass_map[561400000] = 139.910606666;
  atomic_mass_map[571400000] = 139.909483184;
  atomic_mass_map[581400000] = 139.905446424;
  atomic_mass_map[591400000] = 139.909083592;
  atomic_mass_map[601400000] = 139.909544332;
  atomic_mass_map[611400000] = 139.916034122;
  atomic_mass_map[621400000] = 139.918994717;
  atomic_mass_map[631400000] = 139.928087637;
  atomic_mass_map[641400000] = 139.933674;
  atomic_mass_map[651400000] = 139.945805049;
  atomic_mass_map[661400000] = 139.95402;
  atomic_mass_map[671400000] = 139.968589;
  atomic_mass_map[511410000] = 140.958014;
  atomic_mass_map[521410000] = 140.9458;
  atomic_mass_map[531410000] = 140.935666084;
  atomic_mass_map[541410000] = 140.926787184;
  atomic_mass_map[551410000] = 140.920045086;
  atomic_mass_map[561410000] = 140.9144035;
  atomic_mass_map[571410000] = 140.910969222;
  atomic_mass_map[581410000] = 140.908283987;
  atomic_mass_map[591410000] = 140.907658403;
  atomic_mass_map[601410000] = 140.909615488;
  atomic_mass_map[611410000] = 140.913555084;
  atomic_mass_map[621410000] = 140.918481591;
  atomic_mass_map[631410000] = 140.924931745;
  atomic_mass_map[641410000] = 140.932126;
  atomic_mass_map[651410000] = 140.941448;
  atomic_mass_map[661410000] = 140.95128;
  atomic_mass_map[671410000] = 140.963108;
  atomic_mass_map[521420000] = 141.95022;
  atomic_mass_map[531420000] = 141.941202;
  atomic_mass_map[541420000] = 141.929973098;
  atomic_mass_map[551420000] = 141.924299512;
  atomic_mass_map[561420000] = 141.916432888;
  atomic_mass_map[571420000] = 141.914090454;
  atomic_mass_map[581420000] = 141.909249884;
  atomic_mass_map[591420000] = 141.91005044;
  atomic_mass_map[601420000] = 141.907728895;
  atomic_mass_map[611420000] = 141.912890428;
  atomic_mass_map[621420000] = 141.915204532;
  atomic_mass_map[631420000] = 141.923441836;
  atomic_mass_map[641420000] = 141.928116;
  atomic_mass_map[651420000] = 141.939280859;
  atomic_mass_map[661420000] = 141.946194;
  atomic_mass_map[671420000] = 141.96001;
  atomic_mass_map[681420000] = 141.969909;
  atomic_mass_map[521430000] = 142.95676;
  atomic_mass_map[531430000] = 142.945646;
  atomic_mass_map[541430000] = 142.935369553;
  atomic_mass_map[551430000] = 142.927347348;
  atomic_mass_map[561430000] = 142.92062515;
  atomic_mass_map[571430000] = 142.916079422;
  atomic_mass_map[581430000] = 142.91239163;
  atomic_mass_map[591430000] = 142.910822564;
  atomic_mass_map[601430000] = 142.909819887;
  atomic_mass_map[611430000] = 142.910938073;
  atomic_mass_map[621430000] = 142.914634821;
  atomic_mass_map[631430000] = 142.920298681;
  atomic_mass_map[641430000] = 142.926750682;
  atomic_mass_map[651430000] = 142.935137335;
  atomic_mass_map[661430000] = 142.943994335;
  atomic_mass_map[671430000] = 142.95486;
  atomic_mass_map[681430000] = 142.966441;
  atomic_mass_map[531440000] = 143.95139;
  atomic_mass_map[541440000] = 143.938945079;
  atomic_mass_map[551440000] = 143.932075404;
  atomic_mass_map[561440000] = 143.922954821;
  atomic_mass_map[571440000] = 143.919645589;
  atomic_mass_map[581440000] = 143.91365283;
  atomic_mass_map[591440000] = 143.91331075;
  atomic_mass_map[601440000] = 143.910092865;
  atomic_mass_map[611440000] = 143.912596224;
  atomic_mass_map[621440000] = 143.912006373;
  atomic_mass_map[631440000] = 143.918819517;
  atomic_mass_map[641440000] = 143.922963;
  atomic_mass_map[651440000] = 143.933045;
  atomic_mass_map[661440000] = 143.939269514;
  atomic_mass_map[671440000] = 143.952109714;
  atomic_mass_map[681440000] = 143.9607;
  atomic_mass_map[691440000] = 143.976104;
  atomic_mass_map[531450000] = 144.95605;
  atomic_mass_map[541450000] = 144.944719634;
  atomic_mass_map[551450000] = 144.93552893;
  atomic_mass_map[561450000] = 144.9275184;
  atomic_mass_map[571450000] = 144.921808066;
  atomic_mass_map[581450000] = 144.917265144;
  atomic_mass_map[591450000] = 144.914518033;
  atomic_mass_map[601450000] = 144.912579199;
  atomic_mass_map[611450000] = 144.912755773;
  atomic_mass_map[621450000] = 144.913417244;
  atomic_mass_map[631450000] = 144.916272668;
  atomic_mass_map[641450000] = 144.92171037;
  atomic_mass_map[651450000] = 144.928729105;
  atomic_mass_map[661450000] = 144.937473994;
  atomic_mass_map[671450000] = 144.947267394;
  atomic_mass_map[681450000] = 144.957874;
  atomic_mass_map[691450000] = 144.970389;
  atomic_mass_map[541460000] = 145.948518248;
  atomic_mass_map[551460000] = 145.94062187;
  atomic_mass_map[561460000] = 145.930276431;
  atomic_mass_map[571460000] = 145.925871468;
  atomic_mass_map[581460000] = 145.918802065;
  atomic_mass_map[591460000] = 145.917679549;
  atomic_mass_map[601460000] = 145.913122503;
  atomic_mass_map[611460000] = 145.914702286;
  atomic_mass_map[621460000] = 145.913046881;
  atomic_mass_map[631460000] = 145.917210909;
  atomic_mass_map[641460000] = 145.918318548;
  atomic_mass_map[651460000] = 145.927252768;
  atomic_mass_map[661460000] = 145.932844529;
  atomic_mass_map[671460000] = 145.944993506;
  atomic_mass_map[681460000] = 145.952418359;
  atomic_mass_map[691460000] = 145.966661;
  atomic_mass_map[541470000] = 146.954525;
  atomic_mass_map[551470000] = 146.944261515;
  atomic_mass_map[561470000] = 146.9353039;
  atomic_mass_map[571470000] = 146.9284178;
  atomic_mass_map[581470000] = 146.922689903;
  atomic_mass_map[591470000] = 146.919007458;
  atomic_mass_map[601470000] = 146.91610601;
  atomic_mass_map[611470000] = 146.915144638;
  atomic_mass_map[621470000] = 146.914904064;
  atomic_mass_map[631470000] = 146.916752276;
  atomic_mass_map[641470000] = 146.919100987;
  atomic_mass_map[651470000] = 146.92405462;
  atomic_mass_map[661470000] = 146.931082715;
  atomic_mass_map[671470000] = 146.940142295;
  atomic_mass_map[681470000] = 146.949964458;
  atomic_mass_map[691470000] = 146.96137989;
  atomic_mass_map[541480000] = 147.958561;
  atomic_mass_map[551480000] = 147.949639029;
  atomic_mass_map[561480000] = 147.938170578;
  atomic_mass_map[571480000] = 147.9326794;
  atomic_mass_map[581480000] = 147.924424196;
  atomic_mass_map[591480000] = 147.922130015;
  atomic_mass_map[601480000] = 147.916899093;
  atomic_mass_map[611480000] = 147.917481255;
  atomic_mass_map[621480000] = 147.914829012;
  atomic_mass_map[631480000] = 147.918089294;
  atomic_mass_map[641480000] = 147.918121503;
  atomic_mass_map[651480000] = 147.924275323;
  atomic_mass_map[661480000] = 147.927149772;
  atomic_mass_map[671480000] = 147.937743928;
  atomic_mass_map[681480000] = 147.944735029;
  atomic_mass_map[691480000] = 147.958384029;
  atomic_mass_map[701480000] = 147.967439;
  atomic_mass_map[551490000] = 148.953569;
  atomic_mass_map[561490000] = 148.942973;
  atomic_mass_map[571490000] = 148.93535126;
  atomic_mass_map[581490000] = 148.9284269;
  atomic_mass_map[591490000] = 148.9237361;
  atomic_mass_map[601490000] = 148.920154648;
  atomic_mass_map[611490000] = 148.918341658;
  atomic_mass_map[621490000] = 148.917191375;
  atomic_mass_map[631490000] = 148.917937086;
  atomic_mass_map[641490000] = 148.919347831;
  atomic_mass_map[651490000] = 148.923253753;
  atomic_mass_map[661490000] = 148.927325448;
  atomic_mass_map[671490000] = 148.933819672;
  atomic_mass_map[681490000] = 148.942306;
  atomic_mass_map[691490000] = 148.95289;
  atomic_mass_map[701490000] = 148.96436;
  atomic_mass_map[551500000] = 149.959023;
  atomic_mass_map[561500000] = 149.94643;
  atomic_mass_map[571500000] = 149.939742;
  atomic_mass_map[581500000] = 149.930384035;
  atomic_mass_map[591500000] = 149.926676415;
  atomic_mass_map[601500000] = 149.920901525;
  atomic_mass_map[611500000] = 149.920990217;
  atomic_mass_map[621500000] = 149.917282195;
  atomic_mass_map[631500000] = 149.919707229;
  atomic_mass_map[641500000] = 149.918664066;
  atomic_mass_map[651500000] = 149.923664864;
  atomic_mass_map[661500000] = 149.92559308;
  atomic_mass_map[671500000] = 149.933498358;
  atomic_mass_map[681500000] = 149.937915528;
  atomic_mass_map[691500000] = 149.95009;
  atomic_mass_map[701500000] = 149.95852;
  atomic_mass_map[711500000] = 149.973548;
  atomic_mass_map[551510000] = 150.963253;
  atomic_mass_map[561510000] = 150.951755;
  atomic_mass_map[571510000] = 150.942769;
  atomic_mass_map[581510000] = 150.9342722;
  atomic_mass_map[591510000] = 150.928309114;
  atomic_mass_map[601510000] = 150.923839565;
  atomic_mass_map[611510000] = 150.921216817;
  atomic_mass_map[621510000] = 150.919939066;
  atomic_mass_map[631510000] = 150.91985686;
  atomic_mass_map[641510000] = 150.920355109;
  atomic_mass_map[651510000] = 150.923109001;
  atomic_mass_map[661510000] = 150.926191253;
  atomic_mass_map[671510000] = 150.931698177;
  atomic_mass_map[681510000] = 150.937448567;
  atomic_mass_map[691510000] = 150.945493201;
  atomic_mass_map[701510000] = 150.955402458;
  atomic_mass_map[711510000] = 150.967677;
  atomic_mass_map[551520000] = 151.968942;
  atomic_mass_map[561520000] = 151.955222;
  atomic_mass_map[571520000] = 151.947085;
  atomic_mass_map[581520000] = 151.936682;
  atomic_mass_map[591520000] = 151.9315529;
  atomic_mass_map[601520000] = 151.924691509;
  atomic_mass_map[611520000] = 151.923505481;
  atomic_mass_map[621520000] = 151.91973904;
  atomic_mass_map[631520000] = 151.921751235;
  atomic_mass_map[641520000] = 151.919798822;
  atomic_mass_map[651520000] = 151.924082263;
  atomic_mass_map[661520000] = 151.924725363;
  atomic_mass_map[671520000] = 151.931717465;
  atomic_mass_map[681520000] = 151.935050169;
  atomic_mass_map[691520000] = 151.944476;
  atomic_mass_map[701520000] = 151.9503267;
  atomic_mass_map[711520000] = 151.96412;
  atomic_mass_map[561530000] = 152.960848;
  atomic_mass_map[571530000] = 152.950553;
  atomic_mass_map[581530000] = 152.941052;
  atomic_mass_map[591530000] = 152.933903532;
  atomic_mass_map[601530000] = 152.927717949;
  atomic_mass_map[611530000] = 152.924156436;
  atomic_mass_map[621530000] = 152.922103969;
  atomic_mass_map[631530000] = 152.921237043;
  atomic_mass_map[641530000] = 152.921757359;
  atomic_mass_map[651530000] = 152.923441978;
  atomic_mass_map[661530000] = 152.925771992;
  atomic_mass_map[671530000] = 152.930206632;
  atomic_mass_map[681530000] = 152.935084279;
  atomic_mass_map[691530000] = 152.942057244;
  atomic_mass_map[701530000] = 152.94932;
  atomic_mass_map[711530000] = 152.958805054;
  atomic_mass_map[721530000] = 152.970692;
  atomic_mass_map[561540000] = 153.964766;
  atomic_mass_map[571540000] = 153.955416;
  atomic_mass_map[581540000] = 153.94394;
  atomic_mass_map[591540000] = 153.937621738;
  atomic_mass_map[601540000] = 153.929333977;
  atomic_mass_map[611540000] = 153.926449364;
  atomic_mass_map[621540000] = 153.922216164;
  atomic_mass_map[631540000] = 153.922985955;
  atomic_mass_map[641540000] = 153.920873398;
  atomic_mass_map[651540000] = 153.924684106;
  atomic_mass_map[661540000] = 153.924429028;
  atomic_mass_map[671540000] = 153.930606841;
  atomic_mass_map[681540000] = 153.932790743;
  atomic_mass_map[691540000] = 153.941570067;
  atomic_mass_map[701540000] = 153.946395701;
  atomic_mass_map[711540000] = 153.957364;
  atomic_mass_map[721540000] = 153.964927;
  atomic_mass_map[571550000] = 154.95928;
  atomic_mass_map[581550000] = 154.948706;
  atomic_mass_map[591550000] = 154.940509259;
  atomic_mass_map[601550000] = 154.933135668;
  atomic_mass_map[611550000] = 154.928137024;
  atomic_mass_map[621550000] = 154.924647051;
  atomic_mass_map[631550000] = 154.922900102;
  atomic_mass_map[641550000] = 154.922629796;
  atomic_mass_map[651550000] = 154.923509921;
  atomic_mass_map[661550000] = 154.925758459;
  atomic_mass_map[671550000] = 154.929103634;
  atomic_mass_map[681550000] = 154.933215684;
  atomic_mass_map[691550000] = 154.939209578;
  atomic_mass_map[701550000] = 154.945783217;
  atomic_mass_map[711550000] = 154.954326011;
  atomic_mass_map[721550000] = 154.963317;
  atomic_mass_map[731550000] = 154.974312;
  atomic_mass_map[571560000] = 155.964519;
  atomic_mass_map[581560000] = 155.951884;
  atomic_mass_map[591560000] = 155.94464;
  atomic_mass_map[601560000] = 155.935078868;
  atomic_mass_map[611560000] = 155.93111749;
  atomic_mass_map[621560000] = 155.925538511;
  atomic_mass_map[631560000] = 155.924763285;
  atomic_mass_map[641560000] = 155.922130562;
  atomic_mass_map[651560000] = 155.92475443;
  atomic_mass_map[661560000] = 155.924284038;
  atomic_mass_map[671560000] = 155.929705436;
  atomic_mass_map[681560000] = 155.93106589;
  atomic_mass_map[691560000] = 155.938985597;
  atomic_mass_map[701560000] = 155.942816893;
  atomic_mass_map[711560000] = 155.953086606;
  atomic_mass_map[721560000] = 155.959401889;
  atomic_mass_map[731560000] = 155.972237;
  atomic_mass_map[581570000] = 156.957133;
  atomic_mass_map[591570000] = 156.94789;
  atomic_mass_map[601570000] = 156.939386037;
  atomic_mass_map[611570000] = 156.93312137;
  atomic_mass_map[621570000] = 156.928418673;
  atomic_mass_map[631570000] = 156.925432791;
  atomic_mass_map[641570000] = 156.92396787;
  atomic_mass_map[651570000] = 156.924032328;
  atomic_mass_map[661570000] = 156.925469667;
  atomic_mass_map[671570000] = 156.928251999;
  atomic_mass_map[681570000] = 156.931922655;
  atomic_mass_map[691570000] = 156.936973;
  atomic_mass_map[701570000] = 156.94264923;
  atomic_mass_map[711570000] = 156.950144045;
  atomic_mass_map[721570000] = 156.958236;
  atomic_mass_map[731570000] = 156.968230251;
  atomic_mass_map[741570000] = 156.979098;
  atomic_mass_map[581580000] = 157.960644;
  atomic_mass_map[591580000] = 157.95241;
  atomic_mass_map[601580000] = 157.94197;
  atomic_mass_map[611580000] = 157.936565121;
  atomic_mass_map[621580000] = 157.929950979;
  atomic_mass_map[631580000] = 157.927798581;
  atomic_mass_map[641580000] = 157.924111646;
  atomic_mass_map[651580000] = 157.925420166;
  atomic_mass_map[661580000] = 157.924414597;
  atomic_mass_map[671580000] = 157.928944692;
  atomic_mass_map[681580000] = 157.929893474;
  atomic_mass_map[691580000] = 157.936979525;
  atomic_mass_map[701580000] = 157.939870534;
  atomic_mass_map[711580000] = 157.949315626;
  atomic_mass_map[721580000] = 157.954801222;
  atomic_mass_map[731580000] = 157.966541;
  atomic_mass_map[741580000] = 157.974629;
  atomic_mass_map[591590000] = 158.95589;
  atomic_mass_map[601590000] = 158.94653;
  atomic_mass_map[611590000] = 158.939286479;
  atomic_mass_map[621590000] = 158.933217202;
  atomic_mass_map[631590000] = 158.929099612;
  atomic_mass_map[641590000] = 158.926396267;
  atomic_mass_map[651590000] = 158.925353933;
  atomic_mass_map[661590000] = 158.925746023;
  atomic_mass_map[671590000] = 158.927718768;
  atomic_mass_map[681590000] = 158.930690875;
  atomic_mass_map[691590000] = 158.934975;
  atomic_mass_map[701590000] = 158.940054787;
  atomic_mass_map[711590000] = 158.946635615;
  atomic_mass_map[721590000] = 158.953995838;
  atomic_mass_map[731590000] = 158.963028052;
  atomic_mass_map[741590000] = 158.972845;
  atomic_mass_map[751590000] = 158.984171;
  atomic_mass_map[591600000] = 159.960794;
  atomic_mass_map[601600000] = 159.9494;
  atomic_mass_map[611600000] = 159.9431;
  atomic_mass_map[621600000] = 159.935335286;
  atomic_mass_map[631600000] = 159.931850916;
  atomic_mass_map[641600000] = 159.927061537;
  atomic_mass_map[651600000] = 159.927174778;
  atomic_mass_map[661600000] = 159.925203244;
  atomic_mass_map[671600000] = 159.928735204;
  atomic_mass_map[681600000] = 159.92907713;
  atomic_mass_map[691600000] = 159.935263106;
  atomic_mass_map[701600000] = 159.937559763;
  atomic_mass_map[711600000] = 159.946033;
  atomic_mass_map[721600000] = 159.950682513;
  atomic_mass_map[731600000] = 159.961541679;
  atomic_mass_map[741600000] = 159.968516753;
  atomic_mass_map[751600000] = 159.98203;
  atomic_mass_map[601610000] = 160.95428;
  atomic_mass_map[611610000] = 160.94607;
  atomic_mass_map[621610000] = 160.939160143;
  atomic_mass_map[631610000] = 160.933664066;
  atomic_mass_map[641610000] = 160.929676602;
  atomic_mass_map[651610000] = 160.927577001;
  atomic_mass_map[661610000] = 160.926939088;
  atomic_mass_map[671610000] = 160.927860759;
  atomic_mass_map[681610000] = 160.930003191;
  atomic_mass_map[691610000] = 160.933549;
  atomic_mass_map[701610000] = 160.937906846;
  atomic_mass_map[711610000] = 160.943572;
  atomic_mass_map[721610000] = 160.950279151;
  atomic_mass_map[731610000] = 160.958369031;
  atomic_mass_map[741610000] = 160.967197;
  atomic_mass_map[751610000] = 160.977627121;
  atomic_mass_map[761610000] = 160.989287;
  atomic_mass_map[601620000] = 161.957541;
  atomic_mass_map[611620000] = 161.95022;
  atomic_mass_map[621620000] = 161.94146;
  atomic_mass_map[631620000] = 161.936979303;
  atomic_mass_map[641620000] = 161.930992146;
  atomic_mass_map[651620000] = 161.929493955;
  atomic_mass_map[661620000] = 161.926804168;
  atomic_mass_map[671620000] = 161.929101485;
  atomic_mass_map[681620000] = 161.92878696;
  atomic_mass_map[691620000] = 161.934000872;
  atomic_mass_map[701620000] = 161.935773771;
  atomic_mass_map[711620000] = 161.943282776;
  atomic_mass_map[721620000] = 161.947214896;
  atomic_mass_map[731620000] = 161.957294202;
  atomic_mass_map[741620000] = 161.963500347;
  atomic_mass_map[751620000] = 161.975844;
  atomic_mass_map[761620000] = 161.984498;
  atomic_mass_map[611630000] = 162.95357;
  atomic_mass_map[621630000] = 162.94555;
  atomic_mass_map[631630000] = 162.939360977;
  atomic_mass_map[641630000] = 162.934176832;
  atomic_mass_map[651630000] = 162.930653261;
  atomic_mass_map[661630000] = 162.928736879;
  atomic_mass_map[671630000] = 162.928739921;
  atomic_mass_map[681630000] = 162.930039567;
  atomic_mass_map[691630000] = 162.932657941;
  atomic_mass_map[701630000] = 162.9363398;
  atomic_mass_map[711630000] = 162.941179;
  atomic_mass_map[721630000] = 162.947113258;
  atomic_mass_map[731630000] = 162.954337195;
  atomic_mass_map[741630000] = 162.962524511;
  atomic_mass_map[751630000] = 162.972085441;
  atomic_mass_map[761630000] = 162.982617;
  atomic_mass_map[611640000] = 163.958271;
  atomic_mass_map[621640000] = 163.94836;
  atomic_mass_map[631640000] = 163.942693;
  atomic_mass_map[641640000] = 163.93583;
  atomic_mass_map[651640000] = 163.933356559;
  atomic_mass_map[661640000] = 163.929180472;
  atomic_mass_map[671640000] = 163.930239483;
  atomic_mass_map[681640000] = 163.929207392;
  atomic_mass_map[691640000] = 163.933543281;
  atomic_mass_map[701640000] = 163.934495103;
  atomic_mass_map[711640000] = 163.941339;
  atomic_mass_map[721640000] = 163.944370544;
  atomic_mass_map[731640000] = 163.953534;
  atomic_mass_map[741640000] = 163.958952222;
  atomic_mass_map[751640000] = 163.970507124;
  atomic_mass_map[761640000] = 163.978075966;
  atomic_mass_map[771640000] = 163.992116;
  atomic_mass_map[621650000] = 164.95297;
  atomic_mass_map[631650000] = 164.945546;
  atomic_mass_map[641650000] = 164.939395;
  atomic_mass_map[651650000] = 164.93498;
  atomic_mass_map[661650000] = 164.931709054;
  atomic_mass_map[671650000] = 164.930328047;
  atomic_mass_map[681650000] = 164.930733198;
  atomic_mass_map[691650000] = 164.932442269;
  atomic_mass_map[701650000] = 164.935270241;
  atomic_mass_map[711650000] = 164.939406758;
  atomic_mass_map[721650000] = 164.944567;
  atomic_mass_map[731650000] = 164.950780303;
  atomic_mass_map[741650000] = 164.958280974;
  atomic_mass_map[751650000] = 164.967085375;
  atomic_mass_map[761650000] = 164.976602;
  atomic_mass_map[771650000] = 164.987555;
  atomic_mass_map[621660000] = 165.956275;
  atomic_mass_map[631660000] = 165.94932;
  atomic_mass_map[641660000] = 165.94146;
  atomic_mass_map[651660000] = 165.937858119;
  atomic_mass_map[661660000] = 165.932812461;
  atomic_mass_map[671660000] = 165.932290139;
  atomic_mass_map[681660000] = 165.930299023;
  atomic_mass_map[691660000] = 165.933560092;
  atomic_mass_map[701660000] = 165.933874249;
  atomic_mass_map[711660000] = 165.939859;
  atomic_mass_map[721660000] = 165.94218;
  atomic_mass_map[731660000] = 165.950512;
  atomic_mass_map[741660000] = 165.955031346;
  atomic_mass_map[751660000] = 165.96576094;
  atomic_mass_map[761660000] = 165.972698141;
  atomic_mass_map[771660000] = 165.985664;
  atomic_mass_map[781660000] = 165.994923;
  atomic_mass_map[631670000] = 166.952753;
  atomic_mass_map[641670000] = 166.94545;
  atomic_mass_map[651670000] = 166.93996;
  atomic_mass_map[661670000] = 166.935661823;
  atomic_mass_map[671670000] = 166.933138994;
  atomic_mass_map[681670000] = 166.932054119;
  atomic_mass_map[691670000] = 166.932856635;
  atomic_mass_map[701670000] = 166.934953337;
  atomic_mass_map[711670000] = 166.93827;
  atomic_mass_map[721670000] = 166.9426;
  atomic_mass_map[731670000] = 166.948093;
  atomic_mass_map[741670000] = 166.954805873;
  atomic_mass_map[751670000] = 166.962607;
  atomic_mass_map[761670000] = 166.971548938;
  atomic_mass_map[771670000] = 166.981671981;
  atomic_mass_map[781670000] = 166.992901;
  atomic_mass_map[631680000] = 167.957337;
  atomic_mass_map[641680000] = 167.94808;
  atomic_mass_map[651680000] = 167.9434;
  atomic_mass_map[661680000] = 167.937133716;
  atomic_mass_map[671680000] = 167.935521676;
  atomic_mass_map[681680000] = 167.932376192;
  atomic_mass_map[691680000] = 167.934177868;
  atomic_mass_map[701680000] = 167.933889106;
  atomic_mass_map[711680000] = 167.938735139;
  atomic_mass_map[721680000] = 167.940568;
  atomic_mass_map[731680000] = 167.948047;
  atomic_mass_map[741680000] = 167.951805262;
  atomic_mass_map[751680000] = 167.961572608;
  atomic_mass_map[761680000] = 167.967798812;
  atomic_mass_map[771680000] = 167.979960981;
  atomic_mass_map[781680000] = 167.988183004;
  atomic_mass_map[641690000] = 168.9526;
  atomic_mass_map[651690000] = 168.94597;
  atomic_mass_map[661690000] = 168.940313971;
  atomic_mass_map[671690000] = 168.93687863;
  atomic_mass_map[681690000] = 168.934596353;
  atomic_mass_map[691690000] = 168.93421835;
  atomic_mass_map[701690000] = 168.935182016;
  atomic_mass_map[711690000] = 168.937643653;
  atomic_mass_map[721690000] = 168.941259;
  atomic_mass_map[731690000] = 168.946011;
  atomic_mass_map[741690000] = 168.951778677;
  atomic_mass_map[751690000] = 168.958765991;
  atomic_mass_map[761690000] = 168.967017833;
  atomic_mass_map[771690000] = 168.976281287;
  atomic_mass_map[781690000] = 168.986567;
  atomic_mass_map[791690000] = 168.99808;
  atomic_mass_map[641700000] = 169.955577;
  atomic_mass_map[651700000] = 169.94984;
  atomic_mass_map[661700000] = 169.94239;
  atomic_mass_map[671700000] = 169.939625289;
  atomic_mass_map[681700000] = 169.935470673;
  atomic_mass_map[691700000] = 169.935806507;
  atomic_mass_map[701700000] = 169.934767245;
  atomic_mass_map[711700000] = 169.938479234;
  atomic_mass_map[721700000] = 169.939609;
  atomic_mass_map[731700000] = 169.946175;
  atomic_mass_map[741700000] = 169.9492312;
  atomic_mass_map[751700000] = 169.958224966;
  atomic_mass_map[761700000] = 169.963578673;
  atomic_mass_map[771700000] = 169.974922;
  atomic_mass_map[781700000] = 169.982502095;
  atomic_mass_map[791700000] = 169.995972;
  atomic_mass_map[651710000] = 170.95273;
  atomic_mass_map[661710000] = 170.94612;
  atomic_mass_map[671710000] = 170.94147149;
  atomic_mass_map[681710000] = 170.938036148;
  atomic_mass_map[691710000] = 170.936435126;
  atomic_mass_map[701710000] = 170.936331517;
  atomic_mass_map[711710000] = 170.93791866;
  atomic_mass_map[721710000] = 170.940492;
  atomic_mass_map[731710000] = 170.944476;
  atomic_mass_map[741710000] = 170.949451;
  atomic_mass_map[751710000] = 170.955716;
  atomic_mass_map[761710000] = 170.963175348;
  atomic_mass_map[771710000] = 170.971645522;
  atomic_mass_map[781710000] = 170.981245502;
  atomic_mass_map[791710000] = 170.991881542;
  atomic_mass_map[801710000] = 171.003736;
  atomic_mass_map[651720000] = 171.957219;
  atomic_mass_map[661720000] = 171.94846;
  atomic_mass_map[671720000] = 171.94473;
  atomic_mass_map[681720000] = 171.939362344;
  atomic_mass_map[691720000] = 171.938406067;
  atomic_mass_map[701720000] = 171.936386658;
  atomic_mass_map[711720000] = 171.939091417;
  atomic_mass_map[721720000] = 171.939449716;
  atomic_mass_map[731720000] = 171.944895;
  atomic_mass_map[741720000] = 171.947292;
  atomic_mass_map[751720000] = 171.955408079;
  atomic_mass_map[761720000] = 171.960017088;
  atomic_mass_map[771720000] = 171.970607036;
  atomic_mass_map[781720000] = 171.977340788;
  atomic_mass_map[791720000] = 171.989996708;
  atomic_mass_map[801720000] = 171.998863391;
  atomic_mass_map[661730000] = 172.95283;
  atomic_mass_map[671730000] = 172.94702;
  atomic_mass_map[681730000] = 172.9424;
  atomic_mass_map[691730000] = 172.939606632;
  atomic_mass_map[701730000] = 172.938216215;
  atomic_mass_map[711730000] = 172.938935822;
  atomic_mass_map[721730000] = 172.940513;
  atomic_mass_map[731730000] = 172.94375;
  atomic_mass_map[741730000] = 172.947689;
  atomic_mass_map[751730000] = 172.953243;
  atomic_mass_map[761730000] = 172.959808375;
  atomic_mass_map[771730000] = 172.967505496;
  atomic_mass_map[781730000] = 172.976443315;
  atomic_mass_map[791730000] = 172.986223808;
  atomic_mass_map[801730000] = 172.997091;
  atomic_mass_map[661740000] = 173.955587;
  atomic_mass_map[671740000] = 173.95095;
  atomic_mass_map[681740000] = 173.94423;
  atomic_mass_map[691740000] = 173.942174064;
  atomic_mass_map[701740000] = 173.938867548;
  atomic_mass_map[711740000] = 173.940342938;
  atomic_mass_map[721740000] = 173.94004848;
  atomic_mass_map[731740000] = 173.944454;
  atomic_mass_map[741740000] = 173.946079;
  atomic_mass_map[751740000] = 173.953115;
  atomic_mass_map[761740000] = 173.957063152;
  atomic_mass_map[771740000] = 173.966866676;
  atomic_mass_map[781740000] = 173.972819832;
  atomic_mass_map[791740000] = 173.984718;
  atomic_mass_map[801740000] = 173.992870583;
  atomic_mass_map[671750000] = 174.95362;
  atomic_mass_map[681750000] = 174.94777;
  atomic_mass_map[691750000] = 174.943842313;
  atomic_mass_map[701750000] = 174.94128191;
  atomic_mass_map[711750000] = 174.940777308;
  atomic_mass_map[721750000] = 174.941511527;
  atomic_mass_map[731750000] = 174.943737;
  atomic_mass_map[741750000] = 174.946717;
  atomic_mass_map[751750000] = 174.951381;
  atomic_mass_map[761750000] = 174.956945105;
  atomic_mass_map[771750000] = 174.964149521;
  atomic_mass_map[781750000] = 174.972395457;
  atomic_mass_map[791750000] = 174.981316085;
  atomic_mass_map[801750000] = 174.991441086;
  atomic_mass_map[671760000] = 175.95782;
  atomic_mass_map[681760000] = 175.94994;
  atomic_mass_map[691760000] = 175.946997711;
  atomic_mass_map[701760000] = 175.942574708;
  atomic_mass_map[711760000] = 175.942691809;
  atomic_mass_map[721760000] = 175.941409905;
  atomic_mass_map[731760000] = 175.944857;
  atomic_mass_map[741760000] = 175.945634;
  atomic_mass_map[751760000] = 175.951623;
  atomic_mass_map[761760000] = 175.954806;
  atomic_mass_map[771760000] = 175.963630119;
  atomic_mass_map[781760000] = 175.968938214;
  atomic_mass_map[791760000] = 175.980116927;
  atomic_mass_map[801760000] = 175.987348335;
  atomic_mass_map[811760000] = 176.000624367;
  atomic_mass_map[681770000] = 176.95399;
  atomic_mass_map[691770000] = 176.94904;
  atomic_mass_map[701770000] = 176.945263848;
  atomic_mass_map[711770000] = 176.943763668;
  atomic_mass_map[721770000] = 176.94323032;
  atomic_mass_map[731770000] = 176.944482073;
  atomic_mass_map[741770000] = 176.946643;
  atomic_mass_map[751770000] = 176.950328;
  atomic_mass_map[761770000] = 176.954957882;
  atomic_mass_map[771770000] = 176.9613015;
  atomic_mass_map[781770000] = 176.968469529;
  atomic_mass_map[791770000] = 176.976870379;
  atomic_mass_map[801770000] = 176.986277376;
  atomic_mass_map[811770000] = 176.996413797;
  atomic_mass_map[681780000] = 177.956779;
  atomic_mass_map[691780000] = 177.95264;
  atomic_mass_map[701780000] = 177.94664971;
  atomic_mass_map[711780000] = 177.945960162;
  atomic_mass_map[721780000] = 177.943708456;
  atomic_mass_map[731780000] = 177.945681;
  atomic_mass_map[741780000] = 177.945885925;
  atomic_mass_map[751780000] = 177.950989;
  atomic_mass_map[761780000] = 177.9532533;
  atomic_mass_map[771780000] = 177.961082;
  atomic_mass_map[781780000] = 177.965649248;
  atomic_mass_map[791780000] = 177.976055945;
  atomic_mass_map[801780000] = 177.982484158;
  atomic_mass_map[811780000] = 177.994857;
  atomic_mass_map[821780000] = 178.003837163;
  atomic_mass_map[691790000] = 178.95534;
  atomic_mass_map[701790000] = 178.95004;
  atomic_mass_map[711790000] = 178.947333082;
  atomic_mass_map[721790000] = 178.945825838;
  atomic_mass_map[731790000] = 178.945939187;
  atomic_mass_map[741790000] = 178.947079501;
  atomic_mass_map[751790000] = 178.949989715;
  atomic_mass_map[761790000] = 178.953816669;
  atomic_mass_map[771790000] = 178.959117596;
  atomic_mass_map[781790000] = 178.965358719;
  atomic_mass_map[791790000] = 178.973173668;
  atomic_mass_map[801790000] = 178.981826899;
  atomic_mass_map[811790000] = 178.991123405;
  atomic_mass_map[821790000] = 179.002201452;
  atomic_mass_map[691800000] = 179.959291;
  atomic_mass_map[701800000] = 179.95212;
  atomic_mass_map[711800000] = 179.949890876;
  atomic_mass_map[721800000] = 179.946559669;
  atomic_mass_map[731800000] = 179.947468392;
  atomic_mass_map[741800000] = 179.946713435;
  atomic_mass_map[751800000] = 179.950791568;
  atomic_mass_map[761800000] = 179.95237993;
  atomic_mass_map[771800000] = 179.959229446;
  atomic_mass_map[781800000] = 179.963031563;
  atomic_mass_map[791800000] = 179.972489883;
  atomic_mass_map[801800000] = 179.978260249;
  atomic_mass_map[811800000] = 179.989923019;
  atomic_mass_map[821800000] = 179.997915842;
  atomic_mass_map[691810000] = 180.962243;
  atomic_mass_map[701810000] = 180.95589;
  atomic_mass_map[711810000] = 180.951908;
  atomic_mass_map[721810000] = 180.949110965;
  atomic_mass_map[731810000] = 180.947999331;
  atomic_mass_map[741810000] = 180.948218863;
  atomic_mass_map[751810000] = 180.950061523;
  atomic_mass_map[761810000] = 180.953247188;
  atomic_mass_map[771810000] = 180.957634694;
  atomic_mass_map[781810000] = 180.963089927;
  atomic_mass_map[791810000] = 180.970079103;
  atomic_mass_map[801810000] = 180.977819357;
  atomic_mass_map[811810000] = 180.986259992;
  atomic_mass_map[821810000] = 180.996653386;
  atomic_mass_map[701820000] = 181.958325;
  atomic_mass_map[711820000] = 181.95504;
  atomic_mass_map[721820000] = 181.950563816;
  atomic_mass_map[731820000] = 181.950155413;
  atomic_mass_map[741820000] = 181.948205721;
  atomic_mass_map[751820000] = 181.951211645;
  atomic_mass_map[761820000] = 181.952110153;
  atomic_mass_map[771820000] = 181.958076296;
  atomic_mass_map[781820000] = 181.961171571;
  atomic_mass_map[791820000] = 181.969617874;
  atomic_mass_map[801820000] = 181.974689132;
  atomic_mass_map[811820000] = 181.98569188;
  atomic_mass_map[821820000] = 181.99267294;
  atomic_mass_map[701830000] = 182.962319;
  atomic_mass_map[711830000] = 182.957363;
  atomic_mass_map[721830000] = 182.953534004;
  atomic_mass_map[731830000] = 182.95137618;
  atomic_mass_map[741830000] = 182.9502245;
  atomic_mass_map[751830000] = 182.95082139;
  atomic_mass_map[761830000] = 182.953124719;
  atomic_mass_map[771830000] = 182.956839968;
  atomic_mass_map[781830000] = 182.961596653;
  atomic_mass_map[791830000] = 182.967588108;
  atomic_mass_map[801830000] = 182.974444629;
  atomic_mass_map[811830000] = 182.982192846;
  atomic_mass_map[821830000] = 182.991867668;
  atomic_mass_map[701840000] = 183.965067;
  atomic_mass_map[711840000] = 183.96091;
  atomic_mass_map[721840000] = 183.955448587;
  atomic_mass_map[731840000] = 183.954010038;
  atomic_mass_map[741840000] = 183.95093326;
  atomic_mass_map[751840000] = 183.952528267;
  atomic_mass_map[761840000] = 183.952492949;
  atomic_mass_map[771840000] = 183.957476;
  atomic_mass_map[781840000] = 183.959920039;
  atomic_mass_map[791840000] = 183.967451524;
  atomic_mass_map[801840000] = 183.971713221;
  atomic_mass_map[811840000] = 183.981875093;
  atomic_mass_map[821840000] = 183.988135702;
  atomic_mass_map[831840000] = 184.00114125;
  atomic_mass_map[701850000] = 184.969404;
  atomic_mass_map[711850000] = 184.96362;
  atomic_mass_map[721850000] = 184.958862;
  atomic_mass_map[731850000] = 184.955561396;
  atomic_mass_map[741850000] = 184.953421286;
  atomic_mass_map[751850000] = 184.952958337;
  atomic_mass_map[761850000] = 184.954045995;
  atomic_mass_map[771850000] = 184.956698;
  atomic_mass_map[781850000] = 184.960613659;
  atomic_mass_map[791850000] = 184.965798874;
  atomic_mass_map[801850000] = 184.971890676;
  atomic_mass_map[811850000] = 184.978789191;
  atomic_mass_map[821850000] = 184.987609989;
  atomic_mass_map[831850000] = 184.9976;
  atomic_mass_map[711860000] = 185.967568;
  atomic_mass_map[721860000] = 185.960897;
  atomic_mass_map[731860000] = 185.958553111;
  atomic_mass_map[741860000] = 185.954365215;
  atomic_mass_map[751860000] = 185.954989419;
  atomic_mass_map[761860000] = 185.95383766;
  atomic_mass_map[771860000] = 185.957946754;
  atomic_mass_map[781860000] = 185.959350846;
  atomic_mass_map[791860000] = 185.965952703;
  atomic_mass_map[801860000] = 185.969362017;
  atomic_mass_map[811860000] = 185.978650841;
  atomic_mass_map[821860000] = 185.984238196;
  atomic_mass_map[831860000] = 185.996622402;
  atomic_mass_map[841860000] = 186.004402577;
  atomic_mass_map[711870000] = 186.970392;
  atomic_mass_map[721870000] = 186.96477;
  atomic_mass_map[731870000] = 186.960391;
  atomic_mass_map[741870000] = 186.957161323;
  atomic_mass_map[751870000] = 186.955752288;
  atomic_mass_map[761870000] = 186.95574964;
  atomic_mass_map[771870000] = 186.957542;
  atomic_mass_map[781870000] = 186.960616976;
  atomic_mass_map[791870000] = 186.964543155;
  atomic_mass_map[801870000] = 186.969814158;
  atomic_mass_map[811870000] = 186.975904743;
  atomic_mass_map[821870000] = 186.983910836;
  atomic_mass_map[831870000] = 186.993147276;
  atomic_mass_map[841870000] = 187.003036624;
  atomic_mass_map[711880000] = 187.97446;
  atomic_mass_map[721880000] = 187.96685;
  atomic_mass_map[731880000] = 187.963916;
  atomic_mass_map[741880000] = 187.958488395;
  atomic_mass_map[751880000] = 187.958113728;
  atomic_mass_map[761880000] = 187.955837361;
  atomic_mass_map[771880000] = 187.958835046;
  atomic_mass_map[781880000] = 187.95939756;
  atomic_mass_map[791880000] = 187.965247969;
  atomic_mass_map[801880000] = 187.96757691;
  atomic_mass_map[811880000] = 187.976020886;
  atomic_mass_map[821880000] = 187.980874592;
  atomic_mass_map[831880000] = 187.992276184;
  atomic_mass_map[841880000] = 187.999415655;
  atomic_mass_map[721890000] = 188.97084;
  atomic_mass_map[731890000] = 188.96583;
  atomic_mass_map[741890000] = 188.961763;
  atomic_mass_map[751890000] = 188.959227817;
  atomic_mass_map[761890000] = 188.958146005;
  atomic_mass_map[771890000] = 188.958722669;
  atomic_mass_map[781890000] = 188.960848542;
  atomic_mass_map[791890000] = 188.963948286;
  atomic_mass_map[801890000] = 188.968194748;
  atomic_mass_map[811890000] = 188.973573527;
  atomic_mass_map[821890000] = 188.980843639;
  atomic_mass_map[831890000] = 188.989195141;
  atomic_mass_map[841890000] = 188.998473415;
  atomic_mass_map[721900000] = 189.973129;
  atomic_mass_map[731900000] = 189.96939;
  atomic_mass_map[741900000] = 189.963089066;
  atomic_mass_map[751900000] = 189.96174336;
  atomic_mass_map[761900000] = 189.958445496;
  atomic_mass_map[771900000] = 189.960543445;
  atomic_mass_map[781900000] = 189.959949876;
  atomic_mass_map[791900000] = 189.96475175;
  atomic_mass_map[801900000] = 189.966322169;
  atomic_mass_map[811900000] = 189.973835551;
  atomic_mass_map[821900000] = 189.978081828;
  atomic_mass_map[831900000] = 189.988620883;
  atomic_mass_map[841900000] = 189.995100519;
  atomic_mass_map[731910000] = 190.97156;
  atomic_mass_map[741910000] = 190.966531;
  atomic_mass_map[751910000] = 190.963123437;
  atomic_mass_map[761910000] = 190.960928159;
  atomic_mass_map[771910000] = 190.960591527;
  atomic_mass_map[781910000] = 190.961676363;
  atomic_mass_map[791910000] = 190.963716455;
  atomic_mass_map[801910000] = 190.967158247;
  atomic_mass_map[811910000] = 190.971784096;
  atomic_mass_map[821910000] = 190.978281;
  atomic_mass_map[831910000] = 190.985786975;
  atomic_mass_map[841910000] = 190.994558488;
  atomic_mass_map[851910000] = 191.004148086;
  atomic_mass_map[731920000] = 191.97524;
  atomic_mass_map[741920000] = 191.96817;
  atomic_mass_map[751920000] = 191.966088;
  atomic_mass_map[761920000] = 191.961478881;
  atomic_mass_map[771920000] = 191.962602485;
  atomic_mass_map[781920000] = 191.961042736;
  atomic_mass_map[791920000] = 191.964817684;
  atomic_mass_map[801920000] = 191.965634182;
  atomic_mass_map[811920000] = 191.972225;
  atomic_mass_map[821920000] = 191.975785115;
  atomic_mass_map[831920000] = 191.985470078;
  atomic_mass_map[841920000] = 191.991335788;
  atomic_mass_map[851920000] = 192.003141034;
  atomic_mass_map[731930000] = 192.977595;
  atomic_mass_map[741930000] = 192.97178;
  atomic_mass_map[751930000] = 192.967545;
  atomic_mass_map[761930000] = 192.964149753;
  atomic_mass_map[771930000] = 192.962923824;
  atomic_mass_map[781930000] = 192.962984616;
  atomic_mass_map[791930000] = 192.964138447;
  atomic_mass_map[801930000] = 192.966653377;
  atomic_mass_map[811930000] = 192.970501997;
  atomic_mass_map[821930000] = 192.976173234;
  atomic_mass_map[831930000] = 192.982947223;
  atomic_mass_map[841930000] = 192.991062403;
  atomic_mass_map[851930000] = 192.999927728;
  atomic_mass_map[861930000] = 193.009707964;
  atomic_mass_map[731940000] = 193.981428;
  atomic_mass_map[741940000] = 193.97367;
  atomic_mass_map[751940000] = 193.97076;
  atomic_mass_map[761940000] = 193.965179477;
  atomic_mass_map[771940000] = 193.965075773;
  atomic_mass_map[781940000] = 193.962683527;
  atomic_mass_map[791940000] = 193.965419062;
  atomic_mass_map[801940000] = 193.965449111;
  atomic_mass_map[811940000] = 193.971081411;
  atomic_mass_map[821940000] = 193.974011706;
  atomic_mass_map[831940000] = 193.982792362;
  atomic_mass_map[841940000] = 193.988186015;
  atomic_mass_map[851940000] = 193.999226872;
  atomic_mass_map[861940000] = 194.006144424;
  atomic_mass_map[741950000] = 194.977445;
  atomic_mass_map[751950000] = 194.97254;
  atomic_mass_map[761950000] = 194.968318;
  atomic_mass_map[771950000] = 194.965976967;
  atomic_mass_map[781950000] = 194.964794353;
  atomic_mass_map[791950000] = 194.965037851;
  atomic_mass_map[801950000] = 194.966705751;
  atomic_mass_map[811950000] = 194.969774096;
  atomic_mass_map[821950000] = 194.974548743;
  atomic_mass_map[831950000] = 194.980648762;
  atomic_mass_map[841950000] = 194.988130617;
  atomic_mass_map[851950000] = 194.996274485;
  atomic_mass_map[861950000] = 195.005421699;
  atomic_mass_map[741960000] = 195.979731;
  atomic_mass_map[751960000] = 195.9758;
  atomic_mass_map[761960000] = 195.969643277;
  atomic_mass_map[771960000] = 195.968399696;
  atomic_mass_map[781960000] = 195.964954675;
  atomic_mass_map[791960000] = 195.966571221;
  atomic_mass_map[801960000] = 195.965833444;
  atomic_mass_map[811960000] = 195.970481192;
  atomic_mass_map[821960000] = 195.972787466;
  atomic_mass_map[831960000] = 195.980666509;
  atomic_mass_map[841960000] = 195.985536094;
  atomic_mass_map[851960000] = 195.995797421;
  atomic_mass_map[861960000] = 196.002115945;
  atomic_mass_map[741970000] = 196.983747;
  atomic_mass_map[751970000] = 196.97799;
  atomic_mass_map[761970000] = 196.97283;
  atomic_mass_map[771970000] = 196.969657233;
  atomic_mass_map[781970000] = 196.967343053;
  atomic_mass_map[791970000] = 196.966570114;
  atomic_mass_map[801970000] = 196.967213713;
  atomic_mass_map[811970000] = 196.969573986;
  atomic_mass_map[821970000] = 196.973434717;
  atomic_mass_map[831970000] = 196.978864929;
  atomic_mass_map[841970000] = 196.985659607;
  atomic_mass_map[851970000] = 196.993177357;
  atomic_mass_map[861970000] = 197.00162143;
  atomic_mass_map[871970000] = 197.01100809;
  atomic_mass_map[751980000] = 197.9816;
  atomic_mass_map[761980000] = 197.97441;
  atomic_mass_map[771980000] = 197.97228;
  atomic_mass_map[781980000] = 197.967896734;
  atomic_mass_map[791980000] = 197.968243724;
  atomic_mass_map[801980000] = 197.966769179;
  atomic_mass_map[811980000] = 197.970446673;
  atomic_mass_map[821980000] = 197.972015397;
  atomic_mass_map[831980000] = 197.979206;
  atomic_mass_map[841980000] = 197.983388672;
  atomic_mass_map[851980000] = 197.992791673;
  atomic_mass_map[861980000] = 197.998679156;
  atomic_mass_map[871980000] = 198.010278138;
  atomic_mass_map[751990000] = 198.984047;
  atomic_mass_map[761990000] = 198.97801;
  atomic_mass_map[771990000] = 198.973807115;
  atomic_mass_map[781990000] = 198.970597038;
  atomic_mass_map[791990000] = 198.968766582;
  atomic_mass_map[801990000] = 198.968280989;
  atomic_mass_map[811990000] = 198.969877;
  atomic_mass_map[821990000] = 198.972912542;
  atomic_mass_map[831990000] = 198.977672893;
  atomic_mass_map[841990000] = 198.983673021;
  atomic_mass_map[851990000] = 198.990527719;
  atomic_mass_map[861990000] = 198.998390273;
  atomic_mass_map[871990000] = 199.007269389;
  atomic_mass_map[762000000] = 199.97984;
  atomic_mass_map[772000000] = 199.9768;
  atomic_mass_map[782000000] = 199.971444625;
  atomic_mass_map[792000000] = 199.970756556;
  atomic_mass_map[802000000] = 199.968326934;
  atomic_mass_map[812000000] = 199.970963602;
  atomic_mass_map[822000000] = 199.971818332;
  atomic_mass_map[832000000] = 199.978131093;
  atomic_mass_map[842000000] = 199.98181227;
  atomic_mass_map[852000000] = 199.9903511;
  atomic_mass_map[862000000] = 199.995700707;
  atomic_mass_map[872000000] = 200.006583507;
  atomic_mass_map[762010000] = 200.98364;
  atomic_mass_map[772010000] = 200.97864;
  atomic_mass_map[782010000] = 200.974513293;
  atomic_mass_map[792010000] = 200.971657665;
  atomic_mass_map[802010000] = 200.970303038;
  atomic_mass_map[812010000] = 200.970820168;
  atomic_mass_map[822010000] = 200.972870425;
  atomic_mass_map[832010000] = 200.977008512;
  atomic_mass_map[842010000] = 200.98226377700001;
  atomic_mass_map[852010000] = 200.988417061;
  atomic_mass_map[862010000] = 200.995628179;
  atomic_mass_map[872010000] = 201.003852496;
  atomic_mass_map[882010000] = 201.012814683;
  atomic_mass_map[762020000] = 201.98595;
  atomic_mass_map[772020000] = 201.98199;
  atomic_mass_map[782020000] = 201.975639;
  atomic_mass_map[792020000] = 201.973856;
  atomic_mass_map[802020000] = 201.970643585;
  atomic_mass_map[812020000] = 201.972109089;
  atomic_mass_map[822020000] = 201.972151604;
  atomic_mass_map[832020000] = 201.9777331;
  atomic_mass_map[842020000] = 201.980738881;
  atomic_mass_map[852020000] = 201.98863038;
  atomic_mass_map[862020000] = 201.993263902;
  atomic_mass_map[872020000] = 202.003323946;
  atomic_mass_map[882020000] = 202.009742264;
  atomic_mass_map[762030000] = 202.991798;
  atomic_mass_map[772030000] = 202.98423;
  atomic_mass_map[782030000] = 202.97893;
  atomic_mass_map[792030000] = 202.975154498;
  atomic_mass_map[802030000] = 202.972872326;
  atomic_mass_map[812030000] = 202.972344022;
  atomic_mass_map[822030000] = 202.973390535;
  atomic_mass_map[832030000] = 202.976892145;
  atomic_mass_map[842030000] = 202.981415995;
  atomic_mass_map[852030000] = 202.986942957;
  atomic_mass_map[862030000] = 202.993393732;
  atomic_mass_map[872030000] = 203.000940872;
  atomic_mass_map[882030000] = 203.009298745;
  atomic_mass_map[772040000] = 203.9896;
  atomic_mass_map[782040000] = 203.98076;
  atomic_mass_map[792040000] = 203.977831;
  atomic_mass_map[802040000] = 203.973494037;
  atomic_mass_map[812040000] = 203.973863337;
  atomic_mass_map[822040000] = 203.97304342;
  atomic_mass_map[832040000] = 203.977835717;
  atomic_mass_map[842040000] = 203.980309863;
  atomic_mass_map[852040000] = 203.987251197;
  atomic_mass_map[862040000] = 203.991443644;
  atomic_mass_map[872040000] = 204.000651974;
  atomic_mass_map[882040000] = 204.006502228;
  atomic_mass_map[772050000] = 204.993602;
  atomic_mass_map[782050000] = 204.98608;
  atomic_mass_map[792050000] = 204.97985;
  atomic_mass_map[802050000] = 204.976073125;
  atomic_mass_map[812050000] = 204.974427237;
  atomic_mass_map[822050000] = 204.974481597;
  atomic_mass_map[832050000] = 204.977386323;
  atomic_mass_map[842050000] = 204.981190004;
  atomic_mass_map[852050000] = 204.986074041;
  atomic_mass_map[862050000] = 204.991723204;
  atomic_mass_map[872050000] = 204.998593858;
  atomic_mass_map[882050000] = 205.006268415;
  atomic_mass_map[892050000] = 205.015144158;
  atomic_mass_map[782060000] = 205.98966;
  atomic_mass_map[792060000] = 205.98474;
  atomic_mass_map[802060000] = 205.977513756;
  atomic_mass_map[812060000] = 205.976110026;
  atomic_mass_map[822060000] = 205.974465124;
  atomic_mass_map[832060000] = 205.978498757;
  atomic_mass_map[842060000] = 205.980473654;
  atomic_mass_map[852060000] = 205.986656148;
  atomic_mass_map[862060000] = 205.990195358;
  atomic_mass_map[872060000] = 205.998666211;
  atomic_mass_map[882060000] = 206.003827763;
  atomic_mass_map[892060000] = 206.014470787;
  atomic_mass_map[782070000] = 206.995126;
  atomic_mass_map[792070000] = 206.988395;
  atomic_mass_map[802070000] = 206.9823;
  atomic_mass_map[812070000] = 206.977418586;
  atomic_mass_map[822070000] = 206.975896735;
  atomic_mass_map[832070000] = 206.978470471;
  atomic_mass_map[842070000] = 206.981593252;
  atomic_mass_map[852070000] = 206.985799783;
  atomic_mass_map[862070000] = 206.9907302;
  atomic_mass_map[872070000] = 206.996946474;
  atomic_mass_map[882070000] = 207.003805161;
  atomic_mass_map[892070000] = 207.011965973;
  atomic_mass_map[782080000] = 207.998937;
  atomic_mass_map[792080000] = 207.99345;
  atomic_mass_map[802080000] = 207.985759;
  atomic_mass_map[812080000] = 207.982017992;
  atomic_mass_map[822080000] = 207.976651918;
  atomic_mass_map[832080000] = 207.979741981;
  atomic_mass_map[842080000] = 207.981245616;
  atomic_mass_map[852080000] = 207.986613042;
  atomic_mass_map[862080000] = 207.989634295;
  atomic_mass_map[872080000] = 207.997138018;
  atomic_mass_map[882080000] = 208.001854929;
  atomic_mass_map[892080000] = 208.011544073;
  atomic_mass_map[902080000] = 208.017910722;
  atomic_mass_map[792090000] = 208.997273;
  atomic_mass_map[802090000] = 208.99072;
  atomic_mass_map[812090000] = 208.98535175;
  atomic_mass_map[822090000] = 208.981089898;
  atomic_mass_map[832090000] = 208.980398519;
  atomic_mass_map[842090000] = 208.982430276;
  atomic_mass_map[852090000] = 208.986169944;
  atomic_mass_map[862090000] = 208.990401388;
  atomic_mass_map[872090000] = 208.995953197;
  atomic_mass_map[882090000] = 209.001994879;
  atomic_mass_map[892090000] = 209.00949422;
  atomic_mass_map[902090000] = 209.017571;
  atomic_mass_map[792100000] = 210.0025;
  atomic_mass_map[802100000] = 209.99424;
  atomic_mass_map[812100000] = 209.99007297;
  atomic_mass_map[822100000] = 209.984188301;
  atomic_mass_map[832100000] = 209.984120156;
  atomic_mass_map[842100000] = 209.982873601;
  atomic_mass_map[852100000] = 209.987147338;
  atomic_mass_map[862100000] = 209.989688854;
  atomic_mass_map[872100000] = 209.996421657;
  atomic_mass_map[882100000] = 210.000475356;
  atomic_mass_map[892100000] = 210.00943613;
  atomic_mass_map[902100000] = 210.015093437;
  atomic_mass_map[802110000] = 210.99933;
  atomic_mass_map[812110000] = 210.993475;
  atomic_mass_map[822110000] = 210.988735356;
  atomic_mass_map[832110000] = 210.987268698;
  atomic_mass_map[842110000] = 210.986653085;
  atomic_mass_map[852110000] = 210.987496147;
  atomic_mass_map[862110000] = 210.990600686;
  atomic_mass_map[872110000] = 210.995555259;
  atomic_mass_map[882110000] = 211.000893213;
  atomic_mass_map[892110000] = 211.007731894;
  atomic_mass_map[902110000] = 211.014933183;
  atomic_mass_map[912110000] = 211.023704;
  atomic_mass_map[802120000] = 212.00296;
  atomic_mass_map[812120000] = 211.998335;
  atomic_mass_map[822120000] = 211.991895975;
  atomic_mass_map[832120000] = 211.991285016;
  atomic_mass_map[842120000] = 211.988867896;
  atomic_mass_map[852120000] = 211.990737223;
  atomic_mass_map[862120000] = 211.990703528;
  atomic_mass_map[872120000] = 211.996225453;
  atomic_mass_map[882120000] = 211.999786399;
  atomic_mass_map[892120000] = 212.007812501;
  atomic_mass_map[902120000] = 212.013001487;
  atomic_mass_map[912120000] = 212.023181425;
  atomic_mass_map[802130000] = 213.00823;
  atomic_mass_map[812130000] = 213.001915;
  atomic_mass_map[822130000] = 212.996560867;
  atomic_mass_map[832130000] = 212.994383608;
  atomic_mass_map[842130000] = 212.992857083;
  atomic_mass_map[852130000] = 212.992936514;
  atomic_mass_map[862130000] = 212.993885064;
  atomic_mass_map[872130000] = 212.996185861;
  atomic_mass_map[882130000] = 213.00037097;
  atomic_mass_map[892130000] = 213.006607333;
  atomic_mass_map[902130000] = 213.013011447;
  atomic_mass_map[912130000] = 213.021108697;
  atomic_mass_map[802140000] = 214.012;
  atomic_mass_map[812140000] = 214.00694;
  atomic_mass_map[822140000] = 213.999803788;
  atomic_mass_map[832140000] = 213.998710938;
  atomic_mass_map[842140000] = 213.995201208;
  atomic_mass_map[852140000] = 213.996371601;
  atomic_mass_map[862140000] = 213.995362566;
  atomic_mass_map[872140000] = 213.998970785;
  atomic_mass_map[882140000] = 214.000099554;
  atomic_mass_map[892140000] = 214.006917762;
  atomic_mass_map[902140000] = 214.011481431;
  atomic_mass_map[912140000] = 214.020918561;
  atomic_mass_map[802150000] = 215.0174;
  atomic_mass_map[812150000] = 215.01064;
  atomic_mass_map[822150000] = 215.00466159;
  atomic_mass_map[832150000] = 215.001749149;
  atomic_mass_map[842150000] = 214.999418454;
  atomic_mass_map[852150000] = 214.99865189;
  atomic_mass_map[862150000] = 214.998745498;
  atomic_mass_map[872150000] = 215.000341456;
  atomic_mass_map[882150000] = 215.00272008;
  atomic_mass_map[892150000] = 215.006474132;
  atomic_mass_map[902150000] = 215.011724805;
  atomic_mass_map[912150000] = 215.019177728;
  atomic_mass_map[922150000] = 215.026756035;
  atomic_mass_map[802160000] = 216.02132;
  atomic_mass_map[812160000] = 216.0158;
  atomic_mass_map[822160000] = 216.00803;
  atomic_mass_map[832160000] = 216.006305989;
  atomic_mass_map[842160000] = 216.001913506;
  atomic_mass_map[852160000] = 216.002422631;
  atomic_mass_map[862160000] = 216.000271464;
  atomic_mass_map[872160000] = 216.003189445;
  atomic_mass_map[882160000] = 216.003533117;
  atomic_mass_map[892160000] = 216.008743367;
  atomic_mass_map[902160000] = 216.011055714;
  atomic_mass_map[912160000] = 216.019108242;
  atomic_mass_map[922160000] = 216.024762747;
  atomic_mass_map[812170000] = 217.01966;
  atomic_mass_map[822170000] = 217.01314;
  atomic_mass_map[832170000] = 217.009372;
  atomic_mass_map[842170000] = 217.006316216;
  atomic_mass_map[852170000] = 217.004717835;
  atomic_mass_map[862170000] = 217.003927562;
  atomic_mass_map[872170000] = 217.004631902;
  atomic_mass_map[882170000] = 217.006322806;
  atomic_mass_map[892170000] = 217.009343777;
  atomic_mass_map[902170000] = 217.013103444;
  atomic_mass_map[912170000] = 217.018323692;
  atomic_mass_map[922170000] = 217.024663;
  atomic_mass_map[812180000] = 218.024885;
  atomic_mass_map[822180000] = 218.01659;
  atomic_mass_map[832180000] = 218.014188;
  atomic_mass_map[842180000] = 218.008971502;
  atomic_mass_map[852180000] = 218.008693735;
  atomic_mass_map[862180000] = 218.005601052;
  atomic_mass_map[872180000] = 218.007578274;
  atomic_mass_map[882180000] = 218.007140325;
  atomic_mass_map[892180000] = 218.011641093;
  atomic_mass_map[902180000] = 218.013276242;
  atomic_mass_map[912180000] = 218.020057853;
  atomic_mass_map[922180000] = 218.023504829;
  atomic_mass_map[822190000] = 219.02177;
  atomic_mass_map[832190000] = 219.01748;
  atomic_mass_map[842190000] = 219.013614;
  atomic_mass_map[852190000] = 219.011160647;
  atomic_mass_map[862190000] = 219.009478753;
  atomic_mass_map[872190000] = 219.009251553;
  atomic_mass_map[882190000] = 219.010085176;
  atomic_mass_map[892190000] = 219.012420348;
  atomic_mass_map[902190000] = 219.015535677;
  atomic_mass_map[912190000] = 219.01990365;
  atomic_mass_map[922190000] = 219.024999161;
  atomic_mass_map[932190000] = 219.031623021;
  atomic_mass_map[822200000] = 220.02541;
  atomic_mass_map[832200000] = 220.02235;
  atomic_mass_map[842200000] = 220.016386;
  atomic_mass_map[852200000] = 220.015433;
  atomic_mass_map[862200000] = 220.011392534;
  atomic_mass_map[872200000] = 220.012326778;
  atomic_mass_map[882200000] = 220.011025562;
  atomic_mass_map[892200000] = 220.01475445;
  atomic_mass_map[902200000] = 220.015747926;
  atomic_mass_map[912200000] = 220.021705;
  atomic_mass_map[922200000] = 220.02462;
  atomic_mass_map[932200000] = 220.03254;
  atomic_mass_map[832210000] = 221.02587;
  atomic_mass_map[842210000] = 221.021228;
  atomic_mass_map[852210000] = 221.018017;
  atomic_mass_map[862210000] = 221.015535709;
  atomic_mass_map[872210000] = 221.014253757;
  atomic_mass_map[882210000] = 221.013917224;
  atomic_mass_map[892210000] = 221.015591199;
  atomic_mass_map[902210000] = 221.018186236;
  atomic_mass_map[912210000] = 221.021874846;
  atomic_mass_map[922210000] = 221.026323299;
  atomic_mass_map[932210000] = 221.032045;
  atomic_mass_map[832220000] = 222.030842;
  atomic_mass_map[842220000] = 222.02414;
  atomic_mass_map[852220000] = 222.022494;
  atomic_mass_map[862220000] = 222.017576286;
  atomic_mass_map[872220000] = 222.01758262;
  atomic_mass_map[882220000] = 222.015373355;
  atomic_mass_map[892220000] = 222.017843887;
  atomic_mass_map[902220000] = 222.0184683;
  atomic_mass_map[912220000] = 222.023784;
  atomic_mass_map[922220000] = 222.026057953;
  atomic_mass_map[932220000] = 222.0333;
  atomic_mass_map[832230000] = 223.0345;
  atomic_mass_map[842230000] = 223.02907;
  atomic_mass_map[852230000] = 223.025151;
  atomic_mass_map[862230000] = 223.021889285;
  atomic_mass_map[872230000] = 223.019734313;
  atomic_mass_map[882230000] = 223.018500719;
  atomic_mass_map[892230000] = 223.019136872;
  atomic_mass_map[902230000] = 223.020811546;
  atomic_mass_map[912230000] = 223.023962232;
  atomic_mass_map[922230000] = 223.027737168;
  atomic_mass_map[932230000] = 223.03285;
  atomic_mass_map[832240000] = 224.039539;
  atomic_mass_map[842240000] = 224.03211;
  atomic_mass_map[852240000] = 224.029749;
  atomic_mass_map[862240000] = 224.024095804;
  atomic_mass_map[872240000] = 224.0233481;
  atomic_mass_map[882240000] = 224.020210453;
  atomic_mass_map[892240000] = 224.021722239;
  atomic_mass_map[902240000] = 224.021464157;
  atomic_mass_map[912240000] = 224.02561721;
  atomic_mass_map[922240000] = 224.027613974;
  atomic_mass_map[932240000] = 224.03422;
  atomic_mass_map[842250000] = 225.03707;
  atomic_mass_map[852250000] = 225.03263;
  atomic_mass_map[862250000] = 225.028485574;
  atomic_mass_map[872250000] = 225.025572478;
  atomic_mass_map[882250000] = 225.023610574;
  atomic_mass_map[892250000] = 225.023228647;
  atomic_mass_map[902250000] = 225.023950907;
  atomic_mass_map[912250000] = 225.026130844;
  atomic_mass_map[922250000] = 225.029393555;
  atomic_mass_map[932250000] = 225.033910797;
  atomic_mass_map[842260000] = 226.04031;
  atomic_mass_map[852260000] = 226.03716;
  atomic_mass_map[862260000] = 226.030861382;
  atomic_mass_map[872260000] = 226.029544515;
  atomic_mass_map[882260000] = 226.025408455;
  atomic_mass_map[892260000] = 226.026097069;
  atomic_mass_map[902260000] = 226.024903686;
  atomic_mass_map[912260000] = 226.027947872;
  atomic_mass_map[922260000] = 226.029338749;
  atomic_mass_map[932260000] = 226.035188;
  atomic_mass_map[842270000] = 227.04539;
  atomic_mass_map[852270000] = 227.04024;
  atomic_mass_map[862270000] = 227.035304396;
  atomic_mass_map[872270000] = 227.031865417;
  atomic_mass_map[882270000] = 227.029176474;
  atomic_mass_map[892270000] = 227.027750666;
  atomic_mass_map[902270000] = 227.027702618;
  atomic_mass_map[912270000] = 227.028804477;
  atomic_mass_map[922270000] = 227.031181587;
  atomic_mass_map[932270000] = 227.034956832;
  atomic_mass_map[942270000] = 227.039474;
  atomic_mass_map[852280000] = 228.04475;
  atomic_mass_map[862280000] = 228.037835418;
  atomic_mass_map[872280000] = 228.035839437;
  atomic_mass_map[882280000] = 228.031068657;
  atomic_mass_map[892280000] = 228.031019767;
  atomic_mass_map[902280000] = 228.028739835;
  atomic_mass_map[912280000] = 228.031050748;
  atomic_mass_map[922280000] = 228.031371351;
  atomic_mass_map[932280000] = 228.036066462;
  atomic_mass_map[942280000] = 228.038741387;
  atomic_mass_map[852290000] = 229.04812;
  atomic_mass_map[862290000] = 229.042257276;
  atomic_mass_map[872290000] = 229.038291455;
  atomic_mass_map[882290000] = 229.034956707;
  atomic_mass_map[892290000] = 229.032947;
  atomic_mass_map[902290000] = 229.031761431;
  atomic_mass_map[912290000] = 229.032095652;
  atomic_mass_map[922290000] = 229.033505909;
  atomic_mass_map[932290000] = 229.036263974;
  atomic_mass_map[942290000] = 229.040145819;
  atomic_mass_map[952290000] = 229.045249909;
  atomic_mass_map[862300000] = 230.04514;
  atomic_mass_map[872300000] = 230.042390791;
  atomic_mass_map[882300000] = 230.03705478;
  atomic_mass_map[892300000] = 230.036327;
  atomic_mass_map[902300000] = 230.033132358;
  atomic_mass_map[912300000] = 230.034539789;
  atomic_mass_map[922300000] = 230.033940102;
  atomic_mass_map[932300000] = 230.037827716;
  atomic_mass_map[942300000] = 230.039650703;
  atomic_mass_map[952300000] = 230.046089;
  atomic_mass_map[862310000] = 231.04987;
  atomic_mass_map[872310000] = 231.045175357;
  atomic_mass_map[882310000] = 231.041027086;
  atomic_mass_map[892310000] = 231.038393;
  atomic_mass_map[902310000] = 231.036302853;
  atomic_mass_map[912310000] = 231.035882575;
  atomic_mass_map[922310000] = 231.036292252;
  atomic_mass_map[932310000] = 231.03824449;
  atomic_mass_map[942310000] = 231.04112641;
  atomic_mass_map[952310000] = 231.045529;
  atomic_mass_map[962310000] = 231.050746;
  atomic_mass_map[872320000] = 232.049461224;
  atomic_mass_map[882320000] = 232.04347527;
  atomic_mass_map[892320000] = 232.042034;
  atomic_mass_map[902320000] = 232.038053689;
  atomic_mass_map[912320000] = 232.0385903;
  atomic_mass_map[922320000] = 232.03715486;
  atomic_mass_map[932320000] = 232.040107;
  atomic_mass_map[942320000] = 232.041184526;
  atomic_mass_map[952320000] = 232.046527;
  atomic_mass_map[962320000] = 232.049718;
  atomic_mass_map[872330000] = 233.052517838;
  atomic_mass_map[882330000] = 233.047594573;
  atomic_mass_map[892330000] = 233.044346;
  atomic_mass_map[902330000] = 233.041580208;
  atomic_mass_map[912330000] = 233.040246605;
  atomic_mass_map[922330000] = 233.039634367;
  atomic_mass_map[932330000] = 233.040739489;
  atomic_mass_map[942330000] = 233.042997345;
  atomic_mass_map[952330000] = 233.046445;
  atomic_mass_map[962330000] = 233.050772206;
  atomic_mass_map[972330000] = 233.056748;
  atomic_mass_map[882340000] = 234.050382104;
  atomic_mass_map[892340000] = 234.048139;
  atomic_mass_map[902340000] = 234.04359986;
  atomic_mass_map[912340000] = 234.043305615;
  atomic_mass_map[922340000] = 234.04095037;
  atomic_mass_map[932340000] = 234.04289332;
  atomic_mass_map[942340000] = 234.043317478;
  atomic_mass_map[952340000] = 234.047731;
  atomic_mass_map[962340000] = 234.050160959;
  atomic_mass_map[972340000] = 234.057387;
  atomic_mass_map[882350000] = 235.05489;
  atomic_mass_map[892350000] = 235.05084;
  atomic_mass_map[902350000] = 235.047255;
  atomic_mass_map[912350000] = 235.045399;
  atomic_mass_map[922350000] = 235.04392819;
  atomic_mass_map[932350000] = 235.044061591;
  atomic_mass_map[942350000] = 235.045284682;
  atomic_mass_map[952350000] = 235.047907371;
  atomic_mass_map[962350000] = 235.051567;
  atomic_mass_map[972350000] = 235.05658;
  atomic_mass_map[892360000] = 236.054988;
  atomic_mass_map[902360000] = 236.049657;
  atomic_mass_map[912360000] = 236.048668;
  atomic_mass_map[922360000] = 236.045566201;
  atomic_mass_map[932360000] = 236.046568392;
  atomic_mass_map[942360000] = 236.046056756;
  atomic_mass_map[952360000] = 236.049427;
  atomic_mass_map[962360000] = 236.051374506;
  atomic_mass_map[972360000] = 236.05748;
  atomic_mass_map[892370000] = 237.057993;
  atomic_mass_map[902370000] = 237.053629;
  atomic_mass_map[912370000] = 237.051023;
  atomic_mass_map[922370000] = 237.04872838;
  atomic_mass_map[932370000] = 237.04817171;
  atomic_mass_map[942370000] = 237.048407957;
  atomic_mass_map[952370000] = 237.049995;
  atomic_mass_map[962370000] = 237.052868923;
  atomic_mass_map[972370000] = 237.0571;
  atomic_mass_map[982370000] = 237.062199993;
  atomic_mass_map[902380000] = 238.056388;
  atomic_mass_map[912380000] = 238.054637;
  atomic_mass_map[922380000] = 238.050786996;
  atomic_mass_map[932380000] = 238.050944671;
  atomic_mass_map[942380000] = 238.04955825;
  atomic_mass_map[952380000] = 238.051982607;
  atomic_mass_map[962380000] = 238.053081595;
  atomic_mass_map[972380000] = 238.058203;
  atomic_mass_map[982380000] = 238.06149;
  atomic_mass_map[902390000] = 239.060602;
  atomic_mass_map[912390000] = 239.05726;
  atomic_mass_map[922390000] = 239.054292048;
  atomic_mass_map[932390000] = 239.052937599;
  atomic_mass_map[942390000] = 239.052161669;
  atomic_mass_map[952390000] = 239.053022803;
  atomic_mass_map[962390000] = 239.054908593;
  atomic_mass_map[972390000] = 239.05824;
  atomic_mass_map[982390000] = 239.062554;
  atomic_mass_map[992390000] = 239.06823;
  atomic_mass_map[912400000] = 240.061095;
  atomic_mass_map[922400000] = 240.056592425;
  atomic_mass_map[932400000] = 240.05616383;
  atomic_mass_map[942400000] = 240.053811812;
  atomic_mass_map[952400000] = 240.055298444;
  atomic_mass_map[962400000] = 240.055528329;
  atomic_mass_map[972400000] = 240.059758;
  atomic_mass_map[982400000] = 240.062255842;
  atomic_mass_map[992400000] = 240.06892;
  atomic_mass_map[912410000] = 241.064026;
  atomic_mass_map[922410000] = 241.06033;
  atomic_mass_map[932410000] = 241.058250697;
  atomic_mass_map[942410000] = 241.056849722;
  atomic_mass_map[952410000] = 241.056827413;
  atomic_mass_map[962410000] = 241.057651288;
  atomic_mass_map[972410000] = 241.060153;
  atomic_mass_map[982410000] = 241.06369;
  atomic_mass_map[992410000] = 241.06856;
  atomic_mass_map[1002410000] = 241.07421;
  atomic_mass_map[922420000] = 242.062931;
  atomic_mass_map[932420000] = 242.061639615;
  atomic_mass_map[942420000] = 242.058741045;
  atomic_mass_map[952420000] = 242.059547428;
  atomic_mass_map[962420000] = 242.058834263;
  atomic_mass_map[972420000] = 242.06198;
  atomic_mass_map[982420000] = 242.063754533;
  atomic_mass_map[992420000] = 242.069567;
  atomic_mass_map[1002420000] = 242.07343;
  atomic_mass_map[922430000] = 243.066946;
  atomic_mass_map[932430000] = 243.064279;
  atomic_mass_map[942430000] = 243.062002119;
  atomic_mass_map[952430000] = 243.06137994;
  atomic_mass_map[962430000] = 243.061387403;
  atomic_mass_map[972430000] = 243.06300598;
  atomic_mass_map[982430000] = 243.065475;
  atomic_mass_map[992430000] = 243.069509;
  atomic_mass_map[1002430000] = 243.07449;
  atomic_mass_map[932440000] = 244.06785;
  atomic_mass_map[942440000] = 244.064204415;
  atomic_mass_map[952440000] = 244.064282964;
  atomic_mass_map[962440000] = 244.062750694;
  atomic_mass_map[972440000] = 244.065179039;
  atomic_mass_map[982440000] = 244.065999543;
  atomic_mass_map[992440000] = 244.070881;
  atomic_mass_map[1002440000] = 244.074038;
  atomic_mass_map[932450000] = 245.070736;
  atomic_mass_map[942450000] = 245.067824568;
  atomic_mass_map[952450000] = 245.06645289;
  atomic_mass_map[962450000] = 245.065491113;
  atomic_mass_map[972450000] = 245.066359885;
  atomic_mass_map[982450000] = 245.068046825;
  atomic_mass_map[992450000] = 245.071247;
  atomic_mass_map[1002450000] = 245.075349;
  atomic_mass_map[1012450000] = 245.080808;
  atomic_mass_map[942460000] = 246.070204209;
  atomic_mass_map[952460000] = 246.069774;
  atomic_mass_map[962460000] = 246.067222082;
  atomic_mass_map[972460000] = 246.068671367;
  atomic_mass_map[982460000] = 246.068803762;
  atomic_mass_map[992460000] = 246.072894;
  atomic_mass_map[1002460000] = 246.075350815;
  atomic_mass_map[1012460000] = 246.081713;
  atomic_mass_map[942470000] = 247.07419;
  atomic_mass_map[952470000] = 247.072092;
  atomic_mass_map[962470000] = 247.070352726;
  atomic_mass_map[972470000] = 247.07030594;
  atomic_mass_map[982470000] = 247.070965462;
  atomic_mass_map[992470000] = 247.073621932;
  atomic_mass_map[1002470000] = 247.076944;
  atomic_mass_map[1012470000] = 247.081521;
  atomic_mass_map[952480000] = 248.075752;
  atomic_mass_map[962480000] = 248.072349101;
  atomic_mass_map[972480000] = 248.073087;
  atomic_mass_map[982480000] = 248.072182978;
  atomic_mass_map[992480000] = 248.075469;
  atomic_mass_map[1002480000] = 248.077185528;
  atomic_mass_map[1012480000] = 248.082822;
  atomic_mass_map[1022480000] = 248.08655;
  atomic_mass_map[952490000] = 249.07848;
  atomic_mass_map[962490000] = 249.075954006;
  atomic_mass_map[972490000] = 249.074983182;
  atomic_mass_map[982490000] = 249.074850491;
  atomic_mass_map[992490000] = 249.076409;
  atomic_mass_map[1002490000] = 249.078926098;
  atomic_mass_map[1012490000] = 249.082912;
  atomic_mass_map[1022490000] = 249.087797;
  atomic_mass_map[962500000] = 250.078357556;
  atomic_mass_map[972500000] = 250.078315027;
  atomic_mass_map[982500000] = 250.076404561;
  atomic_mass_map[992500000] = 250.078611;
  atomic_mass_map[1002500000] = 250.079519828;
  atomic_mass_map[1012500000] = 250.084413;
  atomic_mass_map[1022500000] = 250.087562;
  atomic_mass_map[962510000] = 251.082285036;
  atomic_mass_map[972510000] = 251.080760603;
  atomic_mass_map[982510000] = 251.079587219;
  atomic_mass_map[992510000] = 251.079992224;
  atomic_mass_map[1002510000] = 251.081539889;
  atomic_mass_map[1012510000] = 251.084774291;
  atomic_mass_map[1022510000] = 251.088942;
  atomic_mass_map[1032510000] = 251.09418;
  atomic_mass_map[962520000] = 252.08487;
  atomic_mass_map[972520000] = 252.08431;
  atomic_mass_map[982520000] = 252.081626523;
  atomic_mass_map[992520000] = 252.082979189;
  atomic_mass_map[1002520000] = 252.082464972;
  atomic_mass_map[1012520000] = 252.086432;
  atomic_mass_map[1022520000] = 252.088966141;
  atomic_mass_map[1032520000] = 252.095263;
  atomic_mass_map[972530000] = 253.08688;
  atomic_mass_map[982530000] = 253.085133738;
  atomic_mass_map[992530000] = 253.084821305;
  atomic_mass_map[1002530000] = 253.08518116;
  atomic_mass_map[1012530000] = 253.087143;
  atomic_mass_map[1022530000] = 253.090562831;
  atomic_mass_map[1032530000] = 253.095089;
  atomic_mass_map[1042530000] = 253.100438;
  atomic_mass_map[972540000] = 254.0906;
  atomic_mass_map[982540000] = 254.08732359;
  atomic_mass_map[992540000] = 254.088020527;
  atomic_mass_map[1002540000] = 254.086852726;
  atomic_mass_map[1012540000] = 254.08959;
  atomic_mass_map[1022540000] = 254.090954259;
  atomic_mass_map[1032540000] = 254.096481;
  atomic_mass_map[1042540000] = 254.100053;
  atomic_mass_map[982550000] = 255.091047;
  atomic_mass_map[992550000] = 255.090273553;
  atomic_mass_map[1002550000] = 255.089962633;
  atomic_mass_map[1012550000] = 255.091082787;
  atomic_mass_map[1022550000] = 255.093191404;
  atomic_mass_map[1032550000] = 255.096562404;
  atomic_mass_map[1042550000] = 255.101267;
  atomic_mass_map[1052550000] = 255.106918;
  atomic_mass_map[982560000] = 256.093442;
  atomic_mass_map[992560000] = 256.093599;
  atomic_mass_map[1002560000] = 256.091773878;
  atomic_mass_map[1012560000] = 256.093888;
  atomic_mass_map[1022560000] = 256.094280866;
  atomic_mass_map[1032560000] = 256.098494029;
  atomic_mass_map[1042560000] = 256.101151535;
  atomic_mass_map[1052560000] = 256.107889;
  atomic_mass_map[992570000] = 257.095979;
  atomic_mass_map[1002570000] = 257.095105317;
  atomic_mass_map[1012570000] = 257.095537977;
  atomic_mass_map[1022570000] = 257.096884419;
  atomic_mass_map[1032570000] = 257.09948;
  atomic_mass_map[1042570000] = 257.102916848;
  atomic_mass_map[1052570000] = 257.107576;
  atomic_mass_map[992580000] = 258.09952;
  atomic_mass_map[1002580000] = 258.097077;
  atomic_mass_map[1012580000] = 258.098429825;
  atomic_mass_map[1022580000] = 258.098205;
  atomic_mass_map[1032580000] = 258.101753;
  atomic_mass_map[1042580000] = 258.103426362;
  atomic_mass_map[1052580000] = 258.109284;
  atomic_mass_map[1062580000] = 258.112984;
  atomic_mass_map[1002590000] = 259.100596;
  atomic_mass_map[1012590000] = 259.10051;
  atomic_mass_map[1022590000] = 259.100997503;
  atomic_mass_map[1032590000] = 259.102901;
  atomic_mass_map[1042590000] = 259.105596;
  atomic_mass_map[1052590000] = 259.109491865;
  atomic_mass_map[1062590000] = 259.114353;
  atomic_mass_map[1002600000] = 260.102809;
  atomic_mass_map[1012600000] = 260.103653;
  atomic_mass_map[1022600000] = 260.102643;
  atomic_mass_map[1032600000] = 260.105504;
  atomic_mass_map[1042600000] = 260.106439;
  atomic_mass_map[1052600000] = 260.111297;
  atomic_mass_map[1062600000] = 260.114383508;
  atomic_mass_map[1072600000] = 260.121658;
  atomic_mass_map[1012610000] = 261.105828;
  atomic_mass_map[1022610000] = 261.105696;
  atomic_mass_map[1032610000] = 261.10688;
  atomic_mass_map[1042610000] = 261.10876999;
  atomic_mass_map[1052610000] = 261.11198;
  atomic_mass_map[1062610000] = 261.115948188;
  atomic_mass_map[1072610000] = 261.121454;
  atomic_mass_map[1012620000] = 262.109101;
  atomic_mass_map[1022620000] = 262.107463;
  atomic_mass_map[1032620000] = 262.109611;
  atomic_mass_map[1042620000] = 262.109923;
  atomic_mass_map[1052620000] = 262.114068;
  atomic_mass_map[1062620000] = 262.116335446;
  atomic_mass_map[1072620000] = 262.122965;
  atomic_mass_map[1022630000] = 263.110714;
  atomic_mass_map[1032630000] = 263.111358;
  atomic_mass_map[1042630000] = 263.11246;
  atomic_mass_map[1052630000] = 263.114988;
  atomic_mass_map[1062630000] = 263.118294;
  atomic_mass_map[1072630000] = 263.122916;
  atomic_mass_map[1082630000] = 263.12848;
  atomic_mass_map[1022640000] = 264.112734;
  atomic_mass_map[1032640000] = 264.1142;
  atomic_mass_map[1042640000] = 264.113878;
  atomic_mass_map[1052640000] = 264.117405;
  atomic_mass_map[1062640000] = 264.118929;
  atomic_mass_map[1072640000] = 264.124593;
  atomic_mass_map[1082640000] = 264.128356405;
  atomic_mass_map[1032650000] = 265.116193;
  atomic_mass_map[1042650000] = 265.116683;
  atomic_mass_map[1052650000] = 265.118608;
  atomic_mass_map[1062650000] = 265.12109;
  atomic_mass_map[1072650000] = 265.124977;
  atomic_mass_map[1082650000] = 265.129791799;
  atomic_mass_map[1092650000] = 265.135995;
  atomic_mass_map[1032660000] = 266.119831;
  atomic_mass_map[1042660000] = 266.118172;
  atomic_mass_map[1052660000] = 266.121028;
  atomic_mass_map[1062660000] = 266.121973;
  atomic_mass_map[1072660000] = 266.12679;
  atomic_mass_map[1082660000] = 266.130045252;
  atomic_mass_map[1092660000] = 266.137373;
  atomic_mass_map[1042670000] = 267.121787;
  atomic_mass_map[1052670000] = 267.122464;
  atomic_mass_map[1062670000] = 267.124322;
  atomic_mass_map[1072670000] = 267.1275;
  atomic_mass_map[1082670000] = 267.131673;
  atomic_mass_map[1092670000] = 267.137189;
  atomic_mass_map[1102670000] = 267.143726;
  atomic_mass_map[1042680000] = 268.123968;
  atomic_mass_map[1052680000] = 268.125671;
  atomic_mass_map[1062680000] = 268.125392;
  atomic_mass_map[1072680000] = 268.129691;
  atomic_mass_map[1082680000] = 268.131863;
  atomic_mass_map[1092680000] = 268.138649;
  atomic_mass_map[1102680000] = 268.143477;
  atomic_mass_map[1052690000] = 269.127911;
  atomic_mass_map[1062690000] = 269.12857;
  atomic_mass_map[1072690000] = 269.130412;
  atomic_mass_map[1082690000] = 269.133725;
  atomic_mass_map[1092690000] = 269.138884;
  atomic_mass_map[1102690000] = 269.144751021;
  atomic_mass_map[1052700000] = 270.131302;
  atomic_mass_map[1062700000] = 270.130426;
  atomic_mass_map[1072700000] = 270.133362;
  atomic_mass_map[1082700000] = 270.134314;
  atomic_mass_map[1092700000] = 270.140323;
  atomic_mass_map[1102700000] = 270.14458309;
  atomic_mass_map[1062710000] = 271.133932;
  atomic_mass_map[1072710000] = 271.135182;
  atomic_mass_map[1082710000] = 271.137135;
  atomic_mass_map[1092710000] = 271.140742;
  atomic_mass_map[1102710000] = 271.145946;
  atomic_mass_map[1062720000] = 272.13589;
  atomic_mass_map[1072720000] = 272.138261;
  atomic_mass_map[1082720000] = 272.138494;
  atomic_mass_map[1092720000] = 272.143406;
  atomic_mass_map[1102720000] = 272.146018;
  atomic_mass_map[1112720000] = 272.153273;
  atomic_mass_map[1062730000] = 273.13958;
  atomic_mass_map[1072730000] = 273.14024;
  atomic_mass_map[1082730000] = 273.14159;
  atomic_mass_map[1092730000] = 273.14462;
  atomic_mass_map[1102730000] = 273.148531;
  atomic_mass_map[1112730000] = 273.153189;
  atomic_mass_map[1072740000] = 274.143513;
  atomic_mass_map[1082740000] = 274.143303;
  atomic_mass_map[1092740000] = 274.147339;
  atomic_mass_map[1102740000] = 274.149434;
  atomic_mass_map[1112740000] = 274.155249;
  atomic_mass_map[1072750000] = 275.14567;
  atomic_mass_map[1082750000] = 275.146667;
  atomic_mass_map[1092750000] = 275.149039;
  atomic_mass_map[1102750000] = 275.151976;
  atomic_mass_map[1112750000] = 275.155981;
  atomic_mass_map[1082760000] = 276.148455;
  atomic_mass_map[1092760000] = 276.151708;
  atomic_mass_map[1102760000] = 276.153024;
  atomic_mass_map[1112760000] = 276.158333;
  atomic_mass_map[1122760000] = 276.16141;
  atomic_mass_map[1082770000] = 277.151899;
  atomic_mass_map[1092770000] = 277.153483;
  atomic_mass_map[1102770000] = 277.155815;
  atomic_mass_map[1112770000] = 277.159247;
  atomic_mass_map[1122770000] = 277.163611;
  atomic_mass_map[1092780000] = 278.156454;
  atomic_mass_map[1102780000] = 278.157146;
  atomic_mass_map[1112780000] = 278.161587;
  atomic_mass_map[1122780000] = 278.164179;
  atomic_mass_map[1132780000] = 278.170574;
  atomic_mass_map[1092790000] = 279.158343;
  atomic_mass_map[1102790000] = 279.160093;
  atomic_mass_map[1112790000] = 279.162937;
  atomic_mass_map[1122790000] = 279.166432;
  atomic_mass_map[1132790000] = 279.17095;
  atomic_mass_map[1102800000] = 280.16159;
  atomic_mass_map[1112800000] = 280.165203;
  atomic_mass_map[1122800000] = 280.167147;
  atomic_mass_map[1132800000] = 280.172991;
  atomic_mass_map[1102810000] = 281.164715;
  atomic_mass_map[1112810000] = 281.166718;
  atomic_mass_map[1122810000] = 281.169641;
  atomic_mass_map[1132810000] = 281.17371;
  atomic_mass_map[1112820000] = 282.169405;
  atomic_mass_map[1122820000] = 282.170668;
  atomic_mass_map[1132820000] = 282.175766;
  atomic_mass_map[1112830000] = 283.170995;
  atomic_mass_map[1122830000] = 283.173362;
  atomic_mass_map[1132830000] = 283.17682;
  atomic_mass_map[1122840000] = 284.174499;
  atomic_mass_map[1132840000] = 284.178843;
  atomic_mass_map[1142840000] = 284.181344;
  atomic_mass_map[1122850000] = 285.177321;
  atomic_mass_map[1132850000] = 285.180066;
  atomic_mass_map[1142850000] = 285.183579;
  atomic_mass_map[1132860000] = 286.182518;
  atomic_mass_map[1142860000] = 286.184406;
  atomic_mass_map[1132870000] = 287.18384;
  atomic_mass_map[1142870000] = 287.186875;
  atomic_mass_map[1152870000] = 287.190978;
  atomic_mass_map[1142880000] = 288.187916;
  atomic_mass_map[1152880000] = 288.192992;
  atomic_mass_map[1142890000] = 289.190623;
  atomic_mass_map[1152890000] = 289.193953;
  atomic_mass_map[1162890000] = 289.198099;
  atomic_mass_map[1152900000] = 290.196345;
  atomic_mass_map[1162900000] = 290.198818;
  atomic_mass_map[1152910000] = 291.197522;
  atomic_mass_map[1162910000] = 291.201169;
  atomic_mass_map[1172910000] = 291.205906;
  atomic_mass_map[1162920000] = 292.202086;
  atomic_mass_map[1172920000] = 292.207812;
  atomic_mass_map[1162930000] = 293.204691;
  atomic_mass_map[1172930000] = 293.20868;
  atomic_mass_map[1182930000] = 293.213498;
  atomic_mass_map[1172940000] = 294.210974;
  atomic_mass_map[1182940000] = 294.214132;
  atomic_mass_map[1182950000] = 295.216332;
}


void pyne::_insert_abund_map() {
  natural_abund_map[10010000] = 99.9885;
  natural_abund_map[10020000] = 0.0115;
  natural_abund_map[20030000] = 0.000134;
  natural_abund_map[20040000] = 99.999866;
  natural_abund_map[30060000] = 7.59;
  natural_abund_map[30070000] = 92.41;
  natural_abund_map[40090000] = 100.0;
  natural_abund_map[50100000] = 19.9;
  natural_abund_map[50110000] = 80.1;
  natural_abund_map[60120000] = 98.93;
  natural_abund_map[60130000] = 1.07;
  natural_abund_map[70140000] = 99.636;
  natural_abund_map[70150000] = 0.364;
  natural_abund_map[80160000] = 99.757;
  natural_abund_map[80170000] = 0.038;
  natural_abund_map[80180000] = 0.205;
  natural_abund_map[90190000] = 100.0;
  natural_abund_map[100200000] = 90.48;
  natural_abund_map[100210000] = 0.27;
  natural_abund_map[100220000] = 9.25;
  natural_abund_map[110230000] = 100.0;
  natural_abund_map[120240000] = 78.99;
  natural_abund_map[120250000] = 10.00;
  natural_abund_map[120260000] = 11.01;
  natural_abund_map[130270000] = 100.0;
  natural_abund_map[140280000] = 92.223;
  natural_abund_map[140290000] = 4.685;
  natural_abund_map[140300000] = 3.092;
  natural_abund_map[150310000] = 100.0;
  natural_abund_map[160320000] = 94.99;
  natural_abund_map[160330000] = 0.75;
  natural_abund_map[160340000] = 4.25;
  natural_abund_map[160360000] = 0.01;
  natural_abund_map[170350000] = 75.76;
  natural_abund_map[170370000] = 24.24;
  natural_abund_map[180360000] = 0.3336;
  natural_abund_map[180380000] = 0.0629;
  natural_abund_map[180400000] = 99.6035;
  natural_abund_map[190390000] = 93.2581;
  natural_abund_map[190400000] = 0.0117;
  natural_abund_map[190410000] = 6.7302;
  natural_abund_map[200400000] = 96.941;
  natural_abund_map[200420000] = 0.647;
  natural_abund_map[200430000] = 0.135;
  natural_abund_map[200440000] = 2.086;
  natural_abund_map[200460000] = 0.004;
  natural_abund_map[200480000] = 0.187;
  natural_abund_map[210450000] = 100.0;
  natural_abund_map[220460000] = 8.25;
  natural_abund_map[220470000] = 7.44;
  natural_abund_map[220480000] = 73.72;
  natural_abund_map[220490000] = 5.41;
  natural_abund_map[220500000] = 5.18;
  natural_abund_map[230500000] = 0.250;
  natural_abund_map[230510000] = 99.750;
  natural_abund_map[240500000] = 4.345;
  natural_abund_map[240520000] = 83.789;
  natural_abund_map[240530000] = 9.501;
  natural_abund_map[240540000] = 2.365;
  natural_abund_map[250550000] = 100.0;
  natural_abund_map[260540000] = 5.845;
  natural_abund_map[260560000] = 91.754;
  natural_abund_map[260570000] = 2.119;
  natural_abund_map[260580000] = 0.282;
  natural_abund_map[270590000] = 100.0;
  natural_abund_map[280580000] = 68.077;
  natural_abund_map[280600000] = 26.223;
  natural_abund_map[280610000] = 1.1399;
  natural_abund_map[280620000] = 3.6346;
  natural_abund_map[280640000] = 0.9255;
  natural_abund_map[290630000] = 69.15;
  natural_abund_map[290650000] = 30.85;
  natural_abund_map[300640000] = 49.17;
  natural_abund_map[300660000] = 27.73;
  natural_abund_map[300670000] = 4.04;
  natural_abund_map[300680000] = 18.45;
  natural_abund_map[300700000] = 0.61;
  natural_abund_map[310690000] = 60.108;
  natural_abund_map[310710000] = 39.892;
  natural_abund_map[320700000] = 20.57;
  natural_abund_map[320720000] = 27.45;
  natural_abund_map[320730000] = 7.75;
  natural_abund_map[320740000] = 36.50;
  natural_abund_map[320760000] = 7.73;
  natural_abund_map[330750000] = 100.0;
  natural_abund_map[340740000] = 0.89;
  natural_abund_map[340760000] = 9.37;
  natural_abund_map[340770000] = 7.63;
  natural_abund_map[340780000] = 23.77;
  natural_abund_map[340800000] = 49.61;
  natural_abund_map[340820000] = 8.73;
  natural_abund_map[350790000] = 50.69;
  natural_abund_map[350810000] = 49.31;
  natural_abund_map[360780000] = 0.355;
  natural_abund_map[360800000] = 2.286;
  natural_abund_map[360820000] = 11.593;
  natural_abund_map[360830000] = 11.500;
  natural_abund_map[360840000] = 56.987;
  natural_abund_map[360860000] = 17.279;
  natural_abund_map[370850000] = 72.17;
  natural_abund_map[370870000] = 27.83;
  natural_abund_map[380840000] = 0.56;
  natural_abund_map[380860000] = 9.86;
  natural_abund_map[380870000] = 7.00;
  natural_abund_map[380880000] = 82.58;
  natural_abund_map[390890000] = 100.0;
  natural_abund_map[400900000] = 51.45;
  natural_abund_map[400910000] = 11.22;
  natural_abund_map[400920000] = 17.15;
  natural_abund_map[400940000] = 17.38;
  natural_abund_map[400960000] = 2.80;
  natural_abund_map[410930000] = 100.0;
  natural_abund_map[420920000] = 14.53;
  natural_abund_map[420940000] = 9.15;
  natural_abund_map[420950000] = 15.84;
  natural_abund_map[420960000] = 16.67;
  natural_abund_map[420970000] = 9.60;
  natural_abund_map[420980000] = 24.39;
  natural_abund_map[421000000] = 9.82;
  natural_abund_map[440960000] = 5.54;
  natural_abund_map[440980000] = 1.87;
  natural_abund_map[440990000] = 12.76;
  natural_abund_map[441000000] = 12.60;
  natural_abund_map[441010000] = 17.06;
  natural_abund_map[441020000] = 31.55;
  natural_abund_map[441040000] = 18.62;
  natural_abund_map[451030000] = 100.0;
  natural_abund_map[461020000] = 1.02;
  natural_abund_map[461040000] = 11.14;
  natural_abund_map[461050000] = 22.33;
  natural_abund_map[461060000] = 27.33;
  natural_abund_map[461080000] = 26.46;
  natural_abund_map[461100000] = 11.72;
  natural_abund_map[471070000] = 51.839;
  natural_abund_map[471090000] = 48.161;
  natural_abund_map[481060000] = 1.25;
  natural_abund_map[481080000] = 0.89;
  natural_abund_map[481100000] = 12.49;
  natural_abund_map[481110000] = 12.80;
  natural_abund_map[481120000] = 24.13;
  natural_abund_map[481130000] = 12.22;
  natural_abund_map[481140000] = 28.73;
  natural_abund_map[481160000] = 7.49;
  natural_abund_map[491130000] = 4.29;
  natural_abund_map[491150000] = 95.71;
  natural_abund_map[501120000] = 0.97;
  natural_abund_map[501140000] = 0.66;
  natural_abund_map[501150000] = 0.34;
  natural_abund_map[501160000] = 14.54;
  natural_abund_map[501170000] = 7.68;
  natural_abund_map[501180000] = 24.22;
  natural_abund_map[501190000] = 8.59;
  natural_abund_map[501200000] = 32.58;
  natural_abund_map[501220000] = 4.63;
  natural_abund_map[501240000] = 5.79;
  natural_abund_map[511210000] = 57.21;
  natural_abund_map[511230000] = 42.79;
  natural_abund_map[521200000] = 0.09;
  natural_abund_map[521220000] = 2.55;
  natural_abund_map[521230000] = 0.89;
  natural_abund_map[521240000] = 4.74;
  natural_abund_map[521250000] = 7.07;
  natural_abund_map[521260000] = 18.84;
  natural_abund_map[521280000] = 31.74;
  natural_abund_map[521300000] = 34.08;
  natural_abund_map[531270000] = 100.0;
  natural_abund_map[541240000] = 0.0952;
  natural_abund_map[541260000] = 0.0890;
  natural_abund_map[541280000] = 1.9102;
  natural_abund_map[541290000] = 26.4006;
  natural_abund_map[541300000] = 4.0710;
  natural_abund_map[541310000] = 21.2324;
  natural_abund_map[541320000] = 26.9086;
  natural_abund_map[541340000] = 10.4357;
  natural_abund_map[541360000] = 8.8573;
  natural_abund_map[551330000] = 100.0;
  natural_abund_map[561300000] = 0.106;
  natural_abund_map[561320000] = 0.101;
  natural_abund_map[561340000] = 2.417;
  natural_abund_map[561350000] = 6.592;
  natural_abund_map[561360000] = 7.854;
  natural_abund_map[561370000] = 11.232;
  natural_abund_map[561380000] = 71.698;
  natural_abund_map[571380000] = 0.08881;
  natural_abund_map[571390000] = 99.91119;
  natural_abund_map[581360000] = 0.185;
  natural_abund_map[581380000] = 0.251;
  natural_abund_map[581400000] = 88.450;
  natural_abund_map[581420000] = 11.114;
  natural_abund_map[591410000] = 100.0;
  natural_abund_map[601420000] = 27.152;
  natural_abund_map[601430000] = 12.174;
  natural_abund_map[601440000] = 23.798;
  natural_abund_map[601450000] = 8.293;
  natural_abund_map[601460000] = 17.189;
  natural_abund_map[601480000] = 5.756;
  natural_abund_map[601500000] = 5.638;
  natural_abund_map[621440000] = 3.07;
  natural_abund_map[621470000] = 14.99;
  natural_abund_map[621480000] = 11.24;
  natural_abund_map[621490000] = 13.82;
  natural_abund_map[621500000] = 7.38;
  natural_abund_map[621520000] = 26.75;
  natural_abund_map[621540000] = 22.75;
  natural_abund_map[631510000] = 47.81;
  natural_abund_map[631530000] = 52.19;
  natural_abund_map[641520000] = 0.20;
  natural_abund_map[641540000] = 2.18;
  natural_abund_map[641550000] = 14.80;
  natural_abund_map[641560000] = 20.47;
  natural_abund_map[641570000] = 15.65;
  natural_abund_map[641580000] = 24.84;
  natural_abund_map[641600000] = 21.86;
  natural_abund_map[651590000] = 100.0;
  natural_abund_map[661560000] = 0.056;
  natural_abund_map[661580000] = 0.095;
  natural_abund_map[661600000] = 2.329;
  natural_abund_map[661610000] = 18.889;
  natural_abund_map[661620000] = 25.475;
  natural_abund_map[661630000] = 24.896;
  natural_abund_map[661640000] = 28.260;
  natural_abund_map[671650000] = 100.0;
  natural_abund_map[681620000] = 0.139;
  natural_abund_map[681640000] = 1.601;
  natural_abund_map[681660000] = 33.503;
  natural_abund_map[681670000] = 22.869;
  natural_abund_map[681680000] = 26.978;
  natural_abund_map[681700000] = 14.910;
  natural_abund_map[691690000] = 100.0;
  natural_abund_map[701680000] = 0.123;
  natural_abund_map[701700000] = 2.982;
  natural_abund_map[701710000] = 14.09;
  natural_abund_map[701720000] = 21.68;
  natural_abund_map[701730000] = 16.103;
  natural_abund_map[701740000] = 32.026;
  natural_abund_map[701760000] = 12.996;
  natural_abund_map[711750000] = 97.401;
  natural_abund_map[711760000] = 2.599;
  natural_abund_map[721740000] = 0.16;
  natural_abund_map[721760000] = 5.26;
  natural_abund_map[721770000] = 18.60;
  natural_abund_map[721780000] = 27.28;
  natural_abund_map[721790000] = 13.62;
  natural_abund_map[721800000] = 35.08;
  natural_abund_map[731800000] = 0.01201;
  natural_abund_map[731810000] = 99.98799;
  natural_abund_map[741800000] = 0.12;
  natural_abund_map[741820000] = 26.50;
  natural_abund_map[741830000] = 14.31;
  natural_abund_map[741840000] = 30.64;
  natural_abund_map[741860000] = 28.43;
  natural_abund_map[751850000] = 37.40;
  natural_abund_map[751870000] = 62.60;
  natural_abund_map[761840000] = 0.02;
  natural_abund_map[761860000] = 1.59;
  natural_abund_map[761870000] = 1.96;
  natural_abund_map[761880000] = 13.24;
  natural_abund_map[761890000] = 16.15;
  natural_abund_map[761900000] = 26.26;
  natural_abund_map[761920000] = 40.78;
  natural_abund_map[771910000] = 37.3;
  natural_abund_map[771930000] = 62.7;
  natural_abund_map[781900000] = 0.012;
  natural_abund_map[781920000] = 0.782;
  natural_abund_map[781940000] = 32.86;
  natural_abund_map[781950000] = 33.78;
  natural_abund_map[781960000] = 25.21;
  natural_abund_map[781980000] = 7.356;
  natural_abund_map[791970000] = 100.0;
  natural_abund_map[801960000] = 0.15;
  natural_abund_map[801980000] = 9.97;
  natural_abund_map[801990000] = 16.87;
  natural_abund_map[802000000] = 23.10;
  natural_abund_map[802010000] = 13.18;
  natural_abund_map[802020000] = 29.86;
  natural_abund_map[802040000] = 6.87;
  natural_abund_map[812030000] = 29.52;
  natural_abund_map[812050000] = 70.48;
  natural_abund_map[822040000] = 1.4;
  natural_abund_map[822060000] = 24.1;
  natural_abund_map[822070000] = 22.1;
  natural_abund_map[822080000] = 52.4;
  natural_abund_map[832090000] = 100.0;
  natural_abund_map[902320000] = 100.0;
  natural_abund_map[912310000] = 100.0;
  natural_abund_map[922340000] = 0.0054;
  natural_abund_map[922350000] = 0.7204;
  natural_abund_map[922380000] = 99.2742;
}
